/*!
 * Application Insights JavaScript SDK - Core, 3.3.8
 * Copyright (c) Microsoft and contributors. All rights reserved.
 */
"use strict";var MinChannelPriorty=100;function _pureAssign(e,t){return e||t}function _pureRef(e,t){return e[t]}var _primitiveTypes,UNDEF_VALUE=undefined,NULL_VALUE=null,EMPTY="",FUNCTION="function",OBJECT="object",PROTOTYPE="prototype",__PROTO__="__proto__",UNDEFINED="undefined",CONSTRUCTOR="constructor",SYMBOL="Symbol",LENGTH="length",NAME="name",CALL="call",TO_STRING="toString",GET_OWN_PROPERTY_DESCRIPTOR="getOwnPropertyDescriptor",ObjClass$1=_pureAssign(Object),ObjProto=_pureRef(ObjClass$1,PROTOTYPE),StrCls=_pureAssign(String),StrProto=_pureRef(StrCls,PROTOTYPE),MathCls=_pureAssign(Math),ArrCls=_pureAssign(Array),ArrProto=_pureRef(ArrCls,PROTOTYPE),ArrSlice=_pureRef(ArrProto,"slice"),POLYFILL_TAG="_polyfill",POLYFILL_TYPE_NAME="__nw21$polytype__";function _isPolyfillType(e,t){return!(!e||e[POLYFILL_TYPE_NAME]!==t)}function safe(e,t){try{return{v:e.apply(this,t)}}catch(n){return{e:n}}}function safeGet(e,t,n){e=safe(e,n);return e.e?t:e.v}function _createIs(t){return function(e){return typeof e===t}}function _createIsWithPoly(t){return function(e){return typeof e===t||_isPolyfillType(e,t)}}function _createObjIs(e){var t="[object "+e+"]";return function(e){return!(!e||objToString(e)!==t)}}function objToString(e){return ObjProto[TO_STRING].call(e)}function isTypeof(e,t){return typeof e===t}function isUndefined(e){return typeof e===UNDEFINED||e===UNDEFINED}function isStrictUndefined(e){return e===UNDEF_VALUE}function isNullOrUndefined(e){return e===NULL_VALUE||isUndefined(e)}function isStrictNullOrUndefined(e){return e===NULL_VALUE||e===UNDEF_VALUE}function isDefined(e){return!!e||e!==UNDEF_VALUE}function isPrimitiveType(e){return _primitiveTypes=_primitiveTypes||["string","number","boolean",UNDEFINED,"symbol","bigint"],!(e===OBJECT||!~_primitiveTypes.indexOf(e))}var isString=_createIs("string"),isFunction=_createIs(FUNCTION);function isObject(e){return!(!e&&isNullOrUndefined(e)||!e||typeof e!==OBJECT)}var isArray=_pureRef(ArrCls,"isArray"),isDate=_createObjIs("Date"),isNumber=_createIs("number"),isBoolean=_createIs("boolean"),isError=_createObjIs("Error");function isPromiseLike(e){return!!(e&&e.then&&isFunction(e.then))}function isNotTruthy(e){return!e||!isTruthy(e)}function isTruthy(e){return!(!e||safeGet(function(){return!(e&&0+e)},!e))}function _returnNothing(){}function _returnFalse(){return!1}var asString=_pureAssign(StrCls),ERROR_TYPE="[object Error]";function dumpObj(e,t){var n=EMPTY,r=ObjProto[TO_STRING][CALL](e);r===ERROR_TYPE&&(e={stack:asString(e.stack),message:asString(e.message),name:asString(e.name)});try{n=((n=JSON.stringify(e,NULL_VALUE,t?"number"==typeof t?t:4:UNDEF_VALUE))?n.replace(/"(\w+)"\s*:\s{0,1}/g,"$1: "):NULL_VALUE)||asString(e)}catch(o){n=" - "+dumpObj(o,t)}return r+": "+n}function throwError(e){throw Error(e)}function throwTypeError(e){throw new TypeError(e)}function _throwIfNullOrUndefined(e){isStrictNullOrUndefined(e)&&throwTypeError("Cannot convert undefined or null to object")}function _throwIfNotString(e){isString(e)||throwTypeError("'"+dumpObj(e)+"' is not a string")}function objHasOwnProperty(e,t){return!!e&&ObjProto.hasOwnProperty[CALL](e,t)}var _objGetOwnPropertyDescriptor$2=_pureAssign(_pureRef(ObjClass$1,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),objHasOwn=_pureAssign(_pureRef(ObjClass$1,"hasOwn"),polyObjHasOwn);function polyObjHasOwn(e,t){return _throwIfNullOrUndefined(e),objHasOwnProperty(e,t)||!!_objGetOwnPropertyDescriptor$2(e,t)}function objForEachKey(e,t,n){if(e&&(isObject(e)||isFunction(e)))for(var r in e)if(objHasOwn(e,r)&&-1===t[CALL](n||e,r,e[r]))break}function arrForEach(e,t,n){if(e)for(var r=e[LENGTH]>>>0,o=0;o<r&&!(o in e&&-1===t[CALL](n||e,e[o],o,e));o++);}var _unwrapFunction=_unwrapFunctionWithPoly;function _unwrapFunctionWithPoly(r,e,o){var i=e?e[r]:NULL_VALUE;return function(e){var t,n=(e?e[r]:NULL_VALUE)||i;if(n||o)return t=arguments,(n||o).apply(e,n?ArrSlice[CALL](t,1):t);throwTypeError('"'+asString(r)+'" not defined for '+dumpObj(e))}}function _unwrapProp(t){return function(e){return e[t]}}var _objGetOwnPropertyDescriptor$1=_pureAssign(_pureRef(ObjClass$1,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),propMap={e:"enumerable",c:"configurable",v:"value",w:"writable",g:"get",s:"set"};function _createProp(t){var e,n={};return n[propMap.c]=!0,n[propMap.e]=!0,t.l&&(n.get=function(){return t.l.v},(e=_objGetOwnPropertyDescriptor$1(t.l,"v"))&&e.set&&(n.set=function(e){t.l.v=e})),objForEachKey(t,function(e,t){n[propMap[e]]=isStrictUndefined(t)?n[propMap[e]]:t}),n}var objDefineProp=_pureRef(ObjClass$1,"defineProperty"),objDefineProperties=_pureRef(ObjClass$1,"defineProperties");function objDefineAccessors(e,t,n,r,o,i){i={e:i,c:o};return n&&(i.g=n),r&&(i.s=r),objDefineProp(e,t,_createProp(i))}function objDefine(e,t,n){return objDefineProp(e,t,_createProp(n))}function _createKeyValueMap(e,n,r,t,o){var i={};return objForEachKey(e,function(e,t){_assignMapValue(i,e,n?t:e),_assignMapValue(i,t,r?t:e)}),t?t(i):i}function _assignMapValue(e,t,n,r){objDefineProp(e,t,{value:n,enumerable:!0,writable:!1})}var objIsFrozen=_pureAssign(_pureRef(ObjClass$1,"isFrozen"),_returnFalse),_objFreeze=_pureRef(ObjClass$1,"freeze");function _doNothing(e){return e}function _getProto(e){return _throwIfNullOrUndefined(e),e[__PROTO__]||NULL_VALUE}var objAssign=_pureRef(ObjClass$1,"assign"),objKeys=_pureRef(ObjClass$1,"keys");function _deepFreeze(e,n){if((isArray(e)||isObject(e)||isFunction(e))&&!objIsFrozen(e)){for(var t=0;t<n.length;t++)if(n[t]===e)return e;n.push(e),objForEachKey(e,function(e,t){_deepFreeze(t,n)}),objFreeze(e)}return e}function objDeepFreeze(e){return _objFreeze?_deepFreeze(e,[]):e}var objFreeze=_pureAssign(_objFreeze,_doNothing),objSeal=_pureAssign(_pureRef(ObjClass$1,"seal"),_doNothing),objGetPrototypeOf=_pureAssign(_pureRef(ObjClass$1,"getPrototypeOf"),_getProto);function createEnum(e){return _createKeyValueMap(e,1,0,objFreeze)}function createEnumKeyMap(e){return _createKeyValueMap(e,0,0,objFreeze)}function createSimpleMap(e){var n={};return objForEachKey(e,function(e,t){_assignMapValue(n,e,t[1]),_assignMapValue(n,t[0],t[1])}),objFreeze(n)}function createTypeMap(e){return createSimpleMap(e)}var _globalCfg,_wellKnownSymbolMap=createEnumKeyMap({asyncIterator:0,hasInstance:1,isConcatSpreadable:2,iterator:3,match:4,matchAll:5,replace:6,search:7,species:8,split:9,toPrimitive:10,toStringTag:11,unscopables:12}),GLOBAL_CONFIG_KEY="__tsUtils$gblCfg";function _getGlobalValue(){var e;return(e=(e=(e=typeof globalThis!==UNDEFINED?globalThis:e)||typeof self===UNDEFINED?e:self)||typeof window===UNDEFINED?e:window)||typeof global===UNDEFINED?e:global}function _getGlobalConfig(){var e;return _globalCfg||(e=safe(_getGlobalValue).v||{},_globalCfg=e[GLOBAL_CONFIG_KEY]=e[GLOBAL_CONFIG_KEY]||{}),_globalCfg}var mathMax=_pureRef(MathCls,"max"),strSlice=_unwrapFunctionWithPoly("slice",StrProto),strSubstring=_unwrapFunctionWithPoly("substring",StrProto),strSubstr=_unwrapFunctionWithPoly("substr",StrProto,polyStrSubstr);function polyStrSubstr(e,t,n){return _throwIfNullOrUndefined(e),n<0?EMPTY:((t=t||0)<0&&(t=mathMax(t+e[LENGTH],0)),isUndefined(n)?strSlice(e,t):strSlice(e,t,t+n))}function strLeft(e,t){return strSubstring(e,0,t)}function _tagAsPolyfill(e,t){return e&&(safe(function(){e[POLYFILL_TAG]=!0,e[POLYFILL_TYPE_NAME]=t}),safe(objDefine,[e,POLYFILL_TAG,{v:!0,w:!1,e:!1}]),safe(objDefine,[e,POLYFILL_TYPE_NAME,{v:t,w:!1,e:!1}])),e}var _globalLazyTestHooks,objCreate=_pureAssign(_pureRef(ObjClass$1,"create"),polyObjCreate);function polyObjCreate(e,t){var n;function r(){}return n=isStrictNullOrUndefined(e)?{}:((n=typeof e)!==OBJECT&&n!==FUNCTION&&throwTypeError("Prototype must be an Object or function: "+dumpObj(e)),r[PROTOTYPE]=e,safe(function(){r[__PROTO__]=e}),new r),t&&safe(objDefineProperties,[n,t]),n}function utcNow(){return(Date.now||polyUtcNow)()}function polyUtcNow(){return(new Date).getTime()}function fnApply(e,t,n){return e.apply(t,n)}function _initTestHooks(){_globalLazyTestHooks=_getGlobalConfig()}function getLazy(t,n){var r={};return _globalLazyTestHooks||_initTestHooks(),r.b=_globalLazyTestHooks.lzy,objDefineProp(r,"v",{configurable:!0,get:function(){var e=fnApply(t,null,n);return _globalLazyTestHooks.lzy||objDefineProp(r,"v",{value:e}),r.b=_globalLazyTestHooks.lzy,e}}),r}var _polySymbols,_wellKnownSymbolCache,mathRandom=_pureRef(MathCls,"random"),_uniqueInstanceId=getLazy(function(){for(var e=utcNow().toString(36).slice(2);e.length<16;)e+=mathRandom().toString(36).slice(2);return e.substring(0,16)}),UNIQUE_REGISTRY_ID="_urid",POLY_SYM="$nw21sym",_polyId=0;function _globalSymbolRegistry(){var e;return _polySymbols||(e=_getGlobalConfig(),_polySymbols=e.gblSym=e.gblSym||{k:{},s:{}}),_polySymbols}function polyNewSymbol(e){var t="_"+_polyId+++"_"+_uniqueInstanceId.v,n=SYMBOL+"("+e+")";function r(e,t){objDefine(o,e,{v:t,e:!1,w:!1})}var o=objCreate(null);return r("description",asString(e)),r(TO_STRING,function(){return n+POLY_SYM+t}),r("valueOf",function(){return o}),r("v",n),r("_uid",t),_tagAsPolyfill(o,"symbol")}function polySymbolFor(e){var t,n,r=_globalSymbolRegistry();return objHasOwn(r.k,e)||(t=polyNewSymbol(e),n=objKeys(r.s).length,t[UNIQUE_REGISTRY_ID]=function(){return n+"_"+t[TO_STRING]()},r.k[e]=t,r.s[t[UNIQUE_REGISTRY_ID]()]=asString(e)),r.k[e]}function polyGetKnownSymbol(e){_wellKnownSymbolCache=_wellKnownSymbolCache||{};e=_wellKnownSymbolMap[e];return e?_wellKnownSymbolCache[e]=_wellKnownSymbolCache[e]||polyNewSymbol(SYMBOL+"."+e):void 0}function createCachedValue(e){return objDefineProp({toJSON:function(){return e}},"v",{value:e})}var _cachedGlobal,WINDOW="window";function _getGlobalInstFn(e,t){var n;return function(){return _globalLazyTestHooks||_initTestHooks(),(n=n&&!_globalLazyTestHooks.lzy?n:createCachedValue(safe(e,t).v)).v}}function getGlobal(e){return _globalLazyTestHooks||_initTestHooks(),(_cachedGlobal=_cachedGlobal&&!1!==e&&!_globalLazyTestHooks.lzy?_cachedGlobal:createCachedValue(safe(_getGlobalValue).v||NULL_VALUE)).v}function getInst(e,t){t=_cachedGlobal&&!1!==t?_cachedGlobal.v:getGlobal(t);if(t&&t[e])return t[e];if(e===WINDOW)try{return window}catch(n){}return NULL_VALUE}function hasDocument(){return!!getDocument()}var getDocument=_getGlobalInstFn(getInst,["document"]);function hasWindow(){return!!getWindow()}var getWindow=_getGlobalInstFn(getInst,[WINDOW]);function hasNavigator(){return!!getNavigator()}var getNavigator=_getGlobalInstFn(getInst,["navigator"]);function hasHistory(){return!!getHistory()}var _symbol,_symbolFor,getHistory=_getGlobalInstFn(getInst,["history"]),isNode=_getGlobalInstFn(function(){return!!safe(function(){return process&&(process.versions||{}).node}).v});function _initSymbol(){return _symbol=createCachedValue(safe(getInst,[SYMBOL]).v)}function _getSymbolKey(e){var t=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return t.v?t.v[e]:UNDEF_VALUE}var _iterSymbol$1,isSymbol=_createIsWithPoly("symbol");function hasSymbol(){return!!getSymbol()}function getSymbol(){return _globalLazyTestHooks||_initTestHooks(),((_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol()).v}function getKnownSymbol(e,t){var n=_wellKnownSymbolMap[e],r=(_globalLazyTestHooks||_initTestHooks(),(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol());return r.v?r.v[n||e]:t?UNDEF_VALUE:polyGetKnownSymbol(e)}function newSymbol(e,t){_globalLazyTestHooks||_initTestHooks();var n=(_globalLazyTestHooks.lzy?0:_symbol)||_initSymbol();return n.v?n.v(e):t?NULL_VALUE:polyNewSymbol(e)}function symbolFor(e){return _globalLazyTestHooks||_initTestHooks(),((_symbolFor=(_globalLazyTestHooks.lzy?0:_symbolFor)||createCachedValue(safe(_getSymbolKey,["for"]).v)).v||polySymbolFor)(e)}function isIterator(e){return!!e&&isFunction(e.next)}function isIterable(e){return!isStrictNullOrUndefined(e)&&isFunction(e[getKnownSymbol(3)])}function iterForOf(e,t,n){if(e&&(isIterator(e)||(e=e[(_iterSymbol$1=_iterSymbol$1||createCachedValue(getKnownSymbol(3))).v]?e[_iterSymbol$1.v]():NULL_VALUE),isIterator(e))){var r=UNDEF_VALUE,o=UNDEF_VALUE;try{for(var i=0;!(o=e.next()).done&&-1!==t[CALL](n||e,o.value,i,e);)i++}catch(a){r={e:a},e["throw"]&&(o=NULL_VALUE,e["throw"](r))}finally{try{o&&!o.done&&e["return"]&&e["return"](o)}finally{if(r)throw r.e}}}}function arrAppend(t,e){return!isUndefined(e)&&t&&(isArray(e)?fnApply(t.push,t,e):isIterator(e)||isIterable(e)?iterForOf(e,function(e){t.push(e)}):t.push(e)),t}var arrIndexOf=_unwrapFunctionWithPoly("indexOf",ArrProto),arrMap=_unwrapFunctionWithPoly("map",ArrProto);function arrSlice(e,t,n){return((e?e.slice:NULL_VALUE)||ArrSlice).apply(e,ArrSlice[CALL](arguments,1))}var _isProtoArray,arrReduce=_unwrapFunctionWithPoly("reduce",ArrProto),objSetPrototypeOf=_pureAssign(_pureRef(ObjClass$1,"setPrototypeOf"),_polyObjSetPrototypeOf);function _polyObjSetPrototypeOf(n,e){var t;return(_isProtoArray=_isProtoArray||createCachedValue(((t={})[__PROTO__]=[],t instanceof Array))).v?n[__PROTO__]=e:objForEachKey(e,function(e,t){return n[e]=t}),n}function _createCustomError(e,t,n){function r(){this[CONSTRUCTOR]=t,safe(objDefine,[this,NAME,{v:e,c:!0,e:!1}])}return safe(objDefine,[t,NAME,{v:e,c:!0,e:!1}]),(t=objSetPrototypeOf(t,n))[PROTOTYPE]=n===NULL_VALUE?objCreate(n):(r[PROTOTYPE]=n[PROTOTYPE],new r),t}function _setName(e,t){t&&(e[NAME]=t)}function createCustomError(o,i,e){var a=e||Error,s=a[PROTOTYPE][NAME],_=Error.captureStackTrace;return _createCustomError(o,function(){var e=this,t=arguments;try{safe(_setName,[a,o]);var n,r=fnApply(a,e,ArrSlice[CALL](t))||e;return r!==e&&(n=objGetPrototypeOf(e))!==objGetPrototypeOf(r)&&objSetPrototypeOf(r,n),_&&_(r,e[CONSTRUCTOR]),i&&i(r,t),r}finally{safe(_setName,[a,s])}},a)}function _createTrimFn(t){return function(e){return _throwIfNullOrUndefined(e),e&&e.replace?e.replace(t,EMPTY):e}}var _fnToString,_objCtrFnString,_gblWindow,polyStrTrim=_createTrimFn(/^\s+|(?=\s)\s+$/g),strTrim=_unwrapFunctionWithPoly("trim",StrProto,polyStrTrim),mathFloor=_pureRef(MathCls,"floor");function isPlainObject(e){if(!e||typeof e!==OBJECT)return!1;var t=!1;if(e!==(_gblWindow=_gblWindow||!hasWindow()||getWindow())){_objCtrFnString||(_fnToString=Function[PROTOTYPE][TO_STRING],_objCtrFnString=_fnToString[CALL](ObjClass$1));try{var n=objGetPrototypeOf(e),t=(t=!n)||!(!(n=objHasOwnProperty(n,CONSTRUCTOR)?n[CONSTRUCTOR]:n)||typeof n!==FUNCTION||_fnToString[CALL](n)!==_objCtrFnString)}catch(r){}}return t}function _defaultDeepCopyHandler(e){return e.value&&plainObjDeepCopyHandler(e),!0}var defaultDeepCopyHandlers=[arrayDeepCopyHandler,plainObjDeepCopyHandler,functionDeepCopyHandler,dateDeepCopyHandler];function _getSetVisited(e,t,n,r){var o;return arrForEach(e,function(e){if(e.k===t)return o=e,-1}),o||(o={k:t,v:t},e.push(o),r(o)),o.v}function _deepCopy(n,e,r,t){var o=r.handler,t=r.path?t?r.path.concat(t):r.path:[],i={handler:r.handler,src:r.src,path:t},a=typeof e,s=!1,_=e===NULL_VALUE,u=(_||(e&&a===OBJECT?s=isPlainObject(e):_=isPrimitiveType(a)),{type:a,isPrim:_,isPlain:s,value:e,result:e,path:t,origin:r.src,copy:function(e,t){return _deepCopy(n,e,t?i:r,t)},copyTo:function(e,t){return _copyProps(n,e,t,i)}});return u.isPrim?o&&o[CALL](r,u)?u.result:e:_getSetVisited(n,e,t,function(t){objDefine(u,"result",{g:function(){return t.v},s:function(e){t.v=e}});for(var e=0,n=o;!(n||(e<defaultDeepCopyHandlers.length?defaultDeepCopyHandlers[e++]:_defaultDeepCopyHandler))[CALL](r,u);)n=NULL_VALUE})}function _copyProps(e,t,n,r){if(!isNullOrUndefined(n))for(var o in n)t[o]=_deepCopy(e,n[o],r,o);return t}function objCopyProps(e,t,n){return _copyProps([],e,t,{handler:n,src:t,path:[]})}function objDeepCopy(e,t){return _deepCopy([],e,{handler:t,src:e})}function arrayDeepCopyHandler(e){var t,n=e.value;return!!isArray(n)&&((t=e.result=[]).length=n.length,e.copyTo(t,n),!0)}function dateDeepCopyHandler(e){var t=e.value;return!!isDate(t)&&(e.result=new Date(t.getTime()),!0)}function functionDeepCopyHandler(e){return e.type===FUNCTION}function plainObjDeepCopyHandler(e){var t,n=e.value;return!(!n||!e.isPlain||(t=e.result={},e.copyTo(t,n),0))}function _doExtend(t,e){return arrForEach(e,function(e){objCopyProps(t,e)}),t}function deepExtend(e,t,n,r,o,i,a){return _doExtend(objDeepCopy(e)||{},ArrSlice[CALL](arguments))}var _perf,getLength=_unwrapProp(LENGTH);function getPerformance(){return _globalLazyTestHooks||_initTestHooks(),(_perf=_perf&&!_globalLazyTestHooks.lzy?_perf:createCachedValue(safe(getInst,["performance"]).v)).v}function perfNow(){var e=getPerformance();return e&&e.now?e.now():utcNow()}var objGetOwnPropertyDescriptor=_pureAssign(_pureRef(ObjClass$1,GET_OWN_PROPERTY_DESCRIPTOR),_returnNothing),strEndsWith=_unwrapFunctionWithPoly("endsWith",StrProto,polyStrEndsWith);function polyStrEndsWith(e,t,n){_throwIfNotString(e);t=isString(t)?t:asString(t),n=!isUndefined(n)&&n<e[LENGTH]?n:e[LENGTH];return strSubstring(e,n-t[LENGTH],n)===t}var strIndexOf=_unwrapFunctionWithPoly("indexOf",StrProto),strStartsWith=_unwrapFunctionWithPoly("startsWith",StrProto,polyStrStartsWith);function polyStrStartsWith(e,t,n){_throwIfNotString(e);t=isString(t)?t:asString(t),n=0<n?n:0;return strSubstring(e,n,n+t[LENGTH])===t}var _setTimeoutFn,_clearTimeoutFn,REF="ref",UNREF="unref",HAS_REF="hasRef",ENABLED="enabled";function _createTimerHandler(e,t,n){var r,o=!0,i=e?t(NULL_VALUE):NULL_VALUE;function a(){return o=!1,i&&i[UNREF]&&i[UNREF](),r}function s(){i&&n(i),i=NULL_VALUE}function _(){return i=t(i),o||a(),r}return(r={cancel:s,refresh:_})[HAS_REF]=function(){return i&&i[HAS_REF]?i[HAS_REF]():o},r[REF]=function(){return o=!0,i&&i[REF]&&i[REF](),r},r[UNREF]=a,{h:r=objDefineProp(r,ENABLED,{get:function(){return!!i},set:function(e){!e&&i&&s(),e&&!i&&_()}}),dn:function(){i=NULL_VALUE}}}function _resolveTimeoutFn(e){var t,e=isFunction(e)?e:_setTimeoutFn;return e||(t=_getGlobalConfig().tmOut||[],isArray(t)&&0<t.length&&isFunction(t[0])&&(e=t[0])),e||setTimeout}function _resolveClearTimeoutFn(e){var t,e=isFunction(e)?e:_clearTimeoutFn;return e||(t=_getGlobalConfig().tmOut||[],isArray(t)&&1<t.length&&isFunction(t[1])&&(e=t[1])),e||clearTimeout}function _createTimeoutWith(e,t,n){var r=isArray(t),o=r?t.length:0,i=_resolveTimeoutFn(0<o?t[0]:r?UNDEF_VALUE:t),a=_resolveClearTimeoutFn(1<o?t[1]:UNDEF_VALUE),s=n[0],_=(n[0]=function(){_.dn(),fnApply(s,UNDEF_VALUE,ArrSlice[CALL](arguments))},_createTimerHandler(e,function(e){if(e){if(e.refresh)return e.refresh(),e;fnApply(a,UNDEF_VALUE,[e])}return fnApply(i,UNDEF_VALUE,n)},function(e){fnApply(a,UNDEF_VALUE,[e])}));return _.h}function scheduleTimeout(e,t){return _createTimeoutWith(!0,UNDEF_VALUE,ArrSlice[CALL](arguments))}function createTimeout(e,t){return _createTimeoutWith(!1,UNDEF_VALUE,ArrSlice[CALL](arguments))}var aggregationErrorType,createEnumStyle=createEnum,createValueMap=createTypeMap,EventsDiscardedReason=createEnumStyle({Unknown:0,NonRetryableStatus:1,InvalidEvent:2,SizeLimitExceeded:3,KillSwitch:4,QueueFull:5}),BatchDiscardedReason=createEnumStyle({Unknown:0,NonRetryableStatus:1,CleanStorage:2,MaxInStorageTimeExceeded:3}),ActiveStatus=createEnumStyle({NONE:0,PENDING:3,INACTIVE:1,ACTIVE:2}),_DYN_TO_LOWER_CASE="toLowerCase",_DYN_LENGTH="length",_DYN_WARN_TO_CONSOLE="warnToConsole",_DYN_THROW_INTERNAL="throwInternal",_DYN_WATCH="watch",_DYN_APPLY="apply",_DYN_PUSH="push",_DYN_SPLICE="splice",_DYN_LOGGER="logger",_DYN_CANCEL="cancel",_DYN_INITIALIZE="initialize",_DYN_IDENTIFIER="identifier",_DYN_REMOVE_NOTIFICATION_0="removeNotificationListener",_DYN_ADD_NOTIFICATION_LIS1="addNotificationListener",_DYN_IS_INITIALIZED="isInitialized",_DYN_GET_NOTIFY_MGR="getNotifyMgr",_DYN_GET_PLUGIN="getPlugin",_DYN_NAME="name",_DYN_PROCESS_NEXT="processNext",_DYN_GET_PROCESS_TEL_CONT2="getProcessTelContext",_DYN_VALUE="value",_DYN_ENABLED="enabled",_DYN_STOP_POLLING_INTERNA3="stopPollingInternalLogs",_DYN_UNLOAD="unload",_DYN_ON_COMPLETE="onComplete",_DYN_VERSION="version",_DYN_LOGGING_LEVEL_CONSOL4="loggingLevelConsole",_DYN_CREATE_NEW="createNew",_DYN_TEARDOWN="teardown",_DYN_MESSAGE_ID="messageId",_DYN_MESSAGE="message",_DYN_DIAG_LOG="diagLog",_DYN__DO_TEARDOWN="_doTeardown",_DYN_UPDATE="update",_DYN_GET_NEXT="getNext",_DYN_SET_NEXT_PLUGIN="setNextPlugin",_DYN_USER_AGENT="userAgent",_DYN_SPLIT="split",_DYN_REPLACE="replace",_DYN_TYPE="type",_DYN_EVT_NAME="evtName",_DYN_STATUS="status",_DYN_INDEX_OF="indexOf",_DYN_GET_ALL_RESPONSE_HEA5="getAllResponseHeaders",_DYN_IS_CHILD_EVT="isChildEvt",_DYN_DATA="data",_DYN_GET_CTX="getCtx",_DYN_SET_CTX="setCtx",_DYN_ITEMS_RECEIVED="itemsReceived",_DYN_HEADERS="headers",_DYN_URL_STRING="urlString",_DYN_TIMEOUT="timeout",_DYN_TRACE_FLAGS="traceFlags",_DYN_GET_ATTRIBUTE="getAttribute";function throwAggregationError(e,t){aggregationErrorType=aggregationErrorType||createCustomError("AggregationError",function(e,t){1<t[_DYN_LENGTH]&&(e.errors=t[1])});var n=e||"One or more errors occurred.";throw arrForEach(t,function(e,t){n+="\n".concat(t," > ").concat(dumpObj(e))}),new aggregationErrorType(n,t||[])}var _a$4,strShimFunction="function",strShimObject="object",strShimUndefined="undefined",strShimPrototype="prototype",ObjClass=Object,strHasOwnProperty=((getGlobal()||{}).Symbol,(getGlobal()||{}).Reflect,"hasOwnProperty"),extendStaticsFn=function(e,t){return(extendStaticsFn=ObjClass.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t[strHasOwnProperty](n)&&(e[n]=t[n])})(e,t)};function __extendsFn(e,t){function n(){this.constructor=e}typeof t!==strShimFunction&&null!==t&&throwTypeError("Class extends value "+t+" is not a constructor or null"),extendStaticsFn(e,t),e[strShimPrototype]=null===t?objCreate(t):(n[strShimPrototype]=t[strShimPrototype],new n)}function __spreadArrayFn(e,t){for(var n=0,r=t.length,o=e.length;n<r;n++,o++)e[o]=t[n];return e}var Constructor="constructor",Prototype="prototype",strFunction="function",DynInstFuncTable="_dynInstFuncs",DynProxyTag="_isDynProxy",DynClassName="_dynClass",DynClassNamePrefix="_dynCls$",DynInstChkTag="_dynInstChk",DynAllowInstChkTag=DynInstChkTag,DynProtoDefaultOptions="_dfOpts",UnknownValue="_unknown_",str__Proto="__proto__",DynProtoBaseProto="_dyn"+str__Proto,DynProtoGlobalSettings="__dynProto$Gbl",DynProtoCurrent="_dynInstProto",strUseBaseInst="useBaseInst",strSetInstFuncs="setInstFuncs",Obj=Object,_objGetPrototypeOf=Obj.getPrototypeOf,_objGetOwnProps=Obj.getOwnPropertyNames,_gbl=getGlobal(),_gblInst=_gbl[DynProtoGlobalSettings]||(_gbl[DynProtoGlobalSettings]={o:((_a$4={})[strSetInstFuncs]=!0,_a$4[strUseBaseInst]=!0,_a$4),n:1e3});function _isObjectOrArrayPrototype(e){return e&&(e===Obj[Prototype]||e===Array[Prototype])}function _isObjectArrayOrFunctionPrototype(e){return _isObjectOrArrayPrototype(e)||e===Function[Prototype]}function _getObjProto$1(e){if(e){if(_objGetPrototypeOf)return _objGetPrototypeOf(e);var t=e[str__Proto]||e[Prototype]||(e[Constructor]?e[Constructor][Prototype]:null),n=e[DynProtoBaseProto]||t;objHasOwnProperty(e,DynProtoBaseProto)||(delete e[DynProtoCurrent],n=e[DynProtoBaseProto]=e[DynProtoCurrent]||e[DynProtoBaseProto],e[DynProtoCurrent]=t)}return n}function _forEachProp(e,t){var n=[];if(_objGetOwnProps)n=_objGetOwnProps(e);else for(var r in e)"string"==typeof r&&objHasOwnProperty(e,r)&&n.push(r);if(n&&0<n.length)for(var o=0;o<n.length;o++)t(n[o])}function _isDynamicCandidate(e,t,n){return t!==Constructor&&typeof e[t]===strFunction&&(n||objHasOwnProperty(e,t))&&t!==str__Proto&&t!==Prototype}function _throwTypeError(e){throwTypeError("DynamicProto: "+e)}function _getInstanceFuncs(t){var n=objCreate(null);return _forEachProp(t,function(e){!n[e]&&_isDynamicCandidate(t,e,!1)&&(n[e]=t[e])}),n}function _hasVisited(e,t){for(var n=e.length-1;0<=n;n--)if(e[n]===t)return!0;return!1}function _getBaseFuncs(e,t,n,i){function r(e,t,n){var r,o=t[n];return o[DynProxyTag]&&i&&!1!==(r=e[DynInstFuncTable]||{})[DynAllowInstChkTag]&&(o=(r[t[DynClassName]]||{})[n]||o),function(){return o.apply(e,arguments)}}for(var o=objCreate(null),a=(_forEachProp(n,function(e){o[e]=r(t,n,e)}),_getObjProto$1(e)),s=[];a&&!_isObjectArrayOrFunctionPrototype(a)&&!_hasVisited(s,a);)_forEachProp(a,function(e){!o[e]&&_isDynamicCandidate(a,e,!_objGetPrototypeOf)&&(o[e]=r(t,a,e))}),s.push(a),a=_getObjProto$1(a);return o}function _getInstFunc(e,t,n,r){var o=null;if(e&&objHasOwnProperty(n,DynClassName)){var i=e[DynInstFuncTable]||objCreate(null);if((o=(i[n[DynClassName]]||objCreate(null))[t])||_throwTypeError("Missing ["+t+"] "+strFunction),!o[DynInstChkTag]&&!1!==i[DynAllowInstChkTag]){for(var a=!objHasOwnProperty(e,t),s=_getObjProto$1(e),_=[];a&&s&&!_isObjectArrayOrFunctionPrototype(s)&&!_hasVisited(_,s);){var u=s[t];if(u){a=u===r;break}_.push(s),s=_getObjProto$1(s)}try{a&&(e[t]=o),o[DynInstChkTag]=1}catch(c){i[DynAllowInstChkTag]=!1}}}return o}function _getProtoFunc(e,t,n){var r=t[e];return typeof(r=r===n?_getObjProto$1(t)[e]:r)!==strFunction&&_throwTypeError("["+e+"] is not a "+strFunction),r}function _populatePrototype(o,e,i,a,t){var n,s;_isObjectOrArrayPrototype(o)||_isObjectOrArrayPrototype(n=i[DynInstFuncTable]=i[DynInstFuncTable]||objCreate(null))||(s=n[e]=n[e]||objCreate(null),!1!==n[DynAllowInstChkTag]&&(n[DynAllowInstChkTag]=!!t),_isObjectOrArrayPrototype(s)||_forEachProp(i,function(e){var t,n,r;_isDynamicCandidate(i,e,!1)&&i[e]!==a[e]&&(s[e]=i[e],delete i[e],objHasOwnProperty(o,e)&&(!o[e]||o[e][DynProxyTag])||(o[e]=(t=o,n=e,(r=function(){return(_getInstFunc(this,n,t,r)||_getProtoFunc(n,t,r)).apply(this,arguments)})[DynProxyTag]=1,r)))}))}function _checkPrototype(e,t){if(_objGetPrototypeOf){for(var n=[],r=_getObjProto$1(t);r&&!_isObjectArrayOrFunctionPrototype(r)&&!_hasVisited(n,r);){if(r===e)return!0;n.push(r),r=_getObjProto$1(r)}return!1}return!0}function _getObjName(e,t){return objHasOwnProperty(e,Prototype)?e.name||t||UnknownValue:((e||{})[Constructor]||{}).name||t||UnknownValue}function dynamicProto(e,t,n,r){objHasOwnProperty(e,Prototype)||_throwTypeError("theClass is an invalid class definition.");var o=e[Prototype],i=(_checkPrototype(o,t)||_throwTypeError("["+_getObjName(e)+"] not in hierarchy of ["+_getObjName(t)+"]"),null),e=(objHasOwnProperty(o,DynClassName)?i=o[DynClassName]:(i=DynClassNamePrefix+_getObjName(e,"_")+"$"+_gblInst.n,_gblInst.n++,o[DynClassName]=i),dynamicProto[DynProtoDefaultOptions]),a=!!e[strUseBaseInst],s=(a&&r&&r[strUseBaseInst]!==undefined&&(a=!!r[strUseBaseInst]),_getInstanceFuncs(t)),a=(n(t,_getBaseFuncs(o,t,s,a)),!!_objGetPrototypeOf&&!!e[strSetInstFuncs]);_populatePrototype(o,i,t,s,!1!==(a=a&&r?!!r[strSetInstFuncs]:a))}dynamicProto[DynProtoDefaultOptions]=_gblInst.o;var STR_PROMISE="Promise",REJECTED="rejected";function doAwaitResponse(e,t){return doAwait(e,function(e){return t?t({status:"fulfilled",rejected:!1,value:e}):e},function(e){return t?t({status:REJECTED,rejected:!0,reason:e}):e})}function doAwait(e,t,n,r){var o=e;try{if(isPromiseLike(e))(t||n)&&(o=e.then(t,n));else try{t&&(o=t(e))}catch(i){if(!n)throw i;o=n(i)}}finally{r&&doFinally(o,r)}return o}function doFinally(e,t){var n=e;return t&&(isPromiseLike(e)?n=e["finally"]?e["finally"](t):e.then(function(e){return t(),e},function(e){throw t(),e}):t()),n}var _hasInitEvent,STRING_STATES=["pending","resolving","resolved",REJECTED],DISPATCH_EVENT="dispatchEvent";function _hasInitEventFn(e){var t;return!!(t=e&&e.createEvent?e.createEvent("Event"):t)&&t.initEvent}function emitEvent(e,t,n,r){var o=getDocument(),o=(_hasInitEvent=_hasInitEvent||createCachedValue(!!safe(_hasInitEventFn,[o]).v)).v?o.createEvent("Event"):r?new Event(t):{};n&&n(o),_hasInitEvent.v&&o.initEvent(t,!1,!0),o&&e[DISPATCH_EVENT]?e[DISPATCH_EVENT](o):(r=e["on"+t])?r(o):(n=getInst("console"))&&(n.error||n.log)(t,dumpObj(o))}var _hasPromiseRejectionEvent,_promiseCls,_allSyncSettledCreator,_promiseCreator,NODE_UNHANDLED_REJECTION="unhandledRejection",UNHANDLED_REJECTION=NODE_UNHANDLED_REJECTION.toLowerCase(),_unhandledRejectionTimeout=10;function dumpFnObj(e){return isFunction(e)?e.toString():dumpObj(e)}function _createPromise(e,t,n){var s,r,o=arrSlice(arguments,3),_=0,u=!1,c=[],l=!1,f=null;function i(i,a){return l=!0,f&&f.cancel(),f=null,e(function(r,o){c.push(function(){try{var e=2===_?i:a,t=isUndefined(e)?s:isFunction(e)?e(s):e;isPromiseLike(t)?t.then(r,o):(e||3!==_?r:o)(t)}catch(n){o(n)}}),u&&E()},o)}function a(){return STRING_STATES[_]}function E(){var e;0<c.length&&(e=c.slice(),c=[],l=!0,f&&f.cancel(),f=null,t(e))}function d(t,n){return function(e){if(_===n){if(2===t&&isPromiseLike(e))return _=1,void e.then(d(2,1),d(3,1));_=t,u=!0,s=e,E(),l||3!==t||f||(f=scheduleTimeout(N,_unhandledRejectionTimeout))}}}function N(){var e;l||(l=!0,isNode()?process.emit(NODE_UNHANDLED_REJECTION,s,r):(e=getWindow()||getGlobal(),_hasPromiseRejectionEvent=_hasPromiseRejectionEvent||createCachedValue(safe(getInst,[STR_PROMISE+"RejectionEvent"]).v),emitEvent(e,UNHANDLED_REJECTION,function(e){return objDefine(e,"promise",{g:function(){return r}}),e.reason=s,e},!!_hasPromiseRejectionEvent.v)))}objDefineProp(r={then:i,"catch":function(e){return i(undefined,e)},"finally":function(t){var e=t,n=t;return isFunction(t)&&(e=function(e){return t&&t(),e},n=function(e){throw t&&t(),e}),i(e,n)}},"state",{get:a}),hasSymbol()&&(r[getKnownSymbol(11)]="IPromise"),r.toString=function(){return"IPromise "+a()+(u?" - "+dumpFnObj(s):"")},isFunction(n)||throwTypeError(STR_PROMISE+": executor is not a function - "+dumpFnObj(n));var g=d(3,0);try{n.call(r,d(2,0),g)}catch(T){g(T)}return r}function _createAllPromise(n){return function(t){var e=arrSlice(arguments,1);return n(function(n,r){try{var o=[],i=1;iterForOf(t,function(e,t){e&&(i++,doAwait(e,function(e){o[t]=e,0==--i&&n(o)},r))}),0==--i&&n(o)}catch(e){r(e)}},e)}}function _createAllSettledPromise(t){return createCachedValue(function(a){var e=arrSlice(arguments,1);return t(function(n,e){var r=[],o=1;function t(e,t){o++,doAwaitResponse(e,function(e){e.rejected?r[t]={status:REJECTED,reason:e.reason}:r[t]={status:"fulfilled",value:e.value},0==--o&&n(r)})}try{isArray(a)?arrForEach(a,t):isIterable(a)?iterForOf(a,t):throwTypeError("Input is not an iterable"),0==--o&&n(r)}catch(i){e(i)}},e)})}function syncItemProcessor(e){arrForEach(e,function(e){try{e()}catch(t){}})}function timeoutItemProcessor(e){var t=isNumber(e)?e:0;return function(e){scheduleTimeout(function(){syncItemProcessor(e)},t)}}function createAsyncPromise(e,t){return _createPromise(createAsyncPromise,timeoutItemProcessor(t),e,t)}function createNativePromise(e,t){var n=(_promiseCls=_promiseCls||createCachedValue(safe(getInst,[STR_PROMISE]).v||null)).v;if(!n)return createAsyncPromise(e);isFunction(e)||throwTypeError(STR_PROMISE+": executor is not a function - "+dumpObj(e));var r=0,n=new n(function(t,n){e(function(e){r=2,t(e)},function(e){r=3,n(e)})});return objDefineProp(n,"state",{get:function(){return STRING_STATES[r]}}),n}function createSyncPromise(e){return _createPromise(createSyncPromise,syncItemProcessor,e)}function createSyncAllSettledPromise(e,t){return(_allSyncSettledCreator=_allSyncSettledCreator||_createAllSettledPromise(createSyncPromise)).v(e,t)}function createPromise(e,t){return(_promiseCreator=_promiseCreator||createCachedValue(createNativePromise)).v.call(this,e,t)}var createAllPromise=_createAllPromise(createPromise),UNDEFINED_VALUE=undefined,STR_EMPTY$1="",STR_CHANNELS="channels",STR_CORE="core",STR_CREATE_PERF_MGR="createPerfMgr",STR_DISABLED="disabled",STR_EXTENSION_CONFIG="extensionConfig",STR_EXTENSIONS="extensions",STR_PROCESS_TELEMETRY="processTelemetry",STR_PRIORITY="priority",STR_EVENTS_SENT="eventsSent",STR_EVENTS_DISCARDED="eventsDiscarded",STR_EVENTS_SEND_REQUEST="eventsSendRequest",STR_PERF_EVENT="perfEvent",STR_OFFLINE_STORE="offlineEventsStored",STR_OFFLINE_SENT="offlineBatchSent",STR_OFFLINE_DROP="offlineBatchDrop",STR_GET_PERF_MGR="getPerfMgr",STR_DOMAIN="domain",STR_PATH="path",STR_NOT_DYNAMIC_ERROR="Not dynamic - ",strGetPrototypeOf="getPrototypeOf",rCamelCase=/-([a-z])/g,rNormalizeInvalid=/([^\w\d_$])/g,rLeadingNumeric=/^(\d+[\w\d_$])/,_getObjProto=Object[strGetPrototypeOf];function isNotUndefined(e){return!isUndefined(e)}function isNotNullOrUndefined(e){return!isNullOrUndefined(e)}function normalizeJsName(e){return e&&isString(e)?(e=(e=e[_DYN_REPLACE](rCamelCase,function(e,t){return t.toUpperCase()}))[_DYN_REPLACE](rNormalizeInvalid,"_"))[_DYN_REPLACE](rLeadingNumeric,function(e,t){return"_"+t}):e}function strContains(e,t){return!(!e||!t)&&-1!==strIndexOf(e,t)}function toISOString(e){return e&&e.toISOString()||""}function getExceptionName(e){return isError(e)?e[_DYN_NAME]:STR_EMPTY$1}function setValue(e,t,n,r,o){var i=n;return!e||(i=e[t])===n||o&&!o(i)||r&&!r(n)||(e[t]=i=n),i}function getSetValue(e,t,n){var r;return e?!(r=e[t])&&isNullOrUndefined(r)&&(r=isUndefined(n)?{}:n,e[t]=r):r=isUndefined(n)?{}:n,r}function _createProxyFunction(e,t){var n=null,r=null;return isFunction(e)?n=e:r=e,function(){var e=arguments;if(r=n?n():r)return r[t][_DYN_APPLY](r,e)}}function proxyAssign(n,r,o){if(n&&r&&isObject(n)&&isObject(r))for(var e in r)!function(t){var e;isString(t)&&(e=r[t],isFunction(e)?o&&!o(t,!0,r,n)||(n[t]=_createProxyFunction(r,t)):o&&!o(t,!1,r,n)||(objHasOwn(n,t)&&delete n[t],objDefine(n,t,{g:function(){return r[t]},s:function(e){r[t]=e}})))}(e);return n}function proxyFunctionAs(e,t,n,r,o){e&&t&&n&&(!1===o&&!isUndefined(e[t])||(e[t]=_createProxyFunction(n,r)))}function proxyFunctions(t,n,e,r){return t&&n&&isObject(t)&&isArray(e)&&arrForEach(e,function(e){isString(e)&&proxyFunctionAs(t,e,n,e,r)}),t}function createClassFromInterface(e){return function(){var n=this;e&&objForEachKey(e,function(e,t){n[e]=t})}}function optimizeObject(e){return e&&objAssign?ObjClass(objAssign({},e)):e}function objExtend(e,t,n,r,o,i){var a=arguments,s=a[0]||{},_=a[_DYN_LENGTH],u=!1,c=1;for(0<_&&isBoolean(s)&&(u=s,s=a[c]||{},c++),isObject(s)||(s={});c<_;c++){var l,f,E,d,N=a[c],g=isArray(N),T=isObject(N);for(l in N)(g&&l in N||T&&objHasOwn(N,l))&&(f=N[l],E=void 0,u&&f&&((E=isArray(f))||isPlainObject(f))&&(d=s[l],E?isArray(d)||(d=[]):isPlainObject(d)||(d={}),f=objExtend(u,d,f)),f!==undefined&&(s[l]=f))}return s}function isFeatureEnabled(e,t,n){t=t&&t.featureOptIn&&t.featureOptIn[e];if(e&&t){e=t.mode;if(3===e)return!0;if(2===e)return!1}return n}function getResponseText(e){try{return e.responseText}catch(t){}return null}function formatErrorMessageXdr(e,t){return e?"XDomainRequest,Response:"+getResponseText(e)||"":t}function formatErrorMessageXhr(e,t){return e?"XMLHttpRequest,Status:"+e[_DYN_STATUS]+",Response:"+getResponseText(e)||e.response||"":t}function prependTransports(e,t){return t&&(isNumber(t)?e=[t].concat(e):isArray(t)&&(e=t.concat(e))),e}var strDisabledPropertyName="Microsoft_ApplicationInsights_BypassAjaxInstrumentation",strWithCredentials="withCredentials",strTimeout="timeout";function openXhr(e,t,n,r,o,i){function a(e,t,n){try{e[t]=n}catch(r){}}void 0===r&&(r=!1),void 0===o&&(o=!1);var s=new XMLHttpRequest;return r&&a(s,strDisabledPropertyName,r),n&&a(s,strWithCredentials,n),s.open(e,t,!o),n&&a(s,strWithCredentials,n),!o&&i&&a(s,strTimeout,i),s}function convertAllHeadersToMap(e){var r={};return isString(e)&&arrForEach(strTrim(e)[_DYN_SPLIT](/[\r\n]+/),function(e){var t,n;e&&(-1!==(n=e[_DYN_INDEX_OF](": "))?(t=strTrim(e.substring(0,n))[_DYN_TO_LOWER_CASE](),n=strTrim(e.substring(n+1)),r[t]=n):r[strTrim(e)]=1)}),r}function _appendHeader(e,t,n){return!e[n]&&t&&t.getResponseHeader&&(t=t.getResponseHeader(n))&&(e[n]=strTrim(t)),e}var STR_KILL_DURATION_HEADER="kill-duration",STR_KILL_DURATION_SECONDS_HEADER="kill-duration-seconds",STR_TIME_DELTA_HEADER="time-delta-millis";function _getAllResponseHeaders(e,t){var n={};return e[_DYN_GET_ALL_RESPONSE_HEA5]?n=convertAllHeadersToMap(e[_DYN_GET_ALL_RESPONSE_HEA5]()):t&&(n=_appendHeader(n,e,STR_TIME_DELTA_HEADER),n=_appendHeader(n,e,STR_KILL_DURATION_HEADER),n=_appendHeader(n,e,STR_KILL_DURATION_SECONDS_HEADER)),n}var strDocumentMode="documentMode",strLocation="location",strConsole="console",strJSON="JSON",strCrypto="crypto",strMsCrypto="msCrypto",strReactNative="ReactNative",strMsie="msie",strTrident="trident/",strXMLHttpRequest="XMLHttpRequest",_isTrident=null,_navUserAgentCheck=null,_enableMocks=!1,_useXDomainRequest=null,_beaconsSupported=null;function _hasProperty(e,t){var n,r=!1;if(e){try{(r=t in e)||(n=e[strShimPrototype])&&(r=t in n)}catch(o){}if(!r)try{r=!isUndefined((new e)[t])}catch(o){}}return r}function setEnableEnvMocks(e){_enableMocks=e}function getLocation(e){if(e&&_enableMocks){e=getInst("__mockLocation");if(e)return e}return typeof location===strShimObject&&location?location:getInst(strLocation)}function getConsole(){return typeof console!==strShimUndefined?console:getInst(strConsole)}function hasJSON(){return!!(typeof JSON===strShimObject&&JSON||null!==getInst(strJSON))}function getJSON(){return hasJSON()?JSON||getInst(strJSON):null}function getCrypto(){return getInst(strCrypto)}function getMsCrypto(){return getInst(strMsCrypto)}function isReactNative(){var e=getNavigator();return!(!e||!e.product)&&e.product===strReactNative}function isIE(){var e=getNavigator();return!e||e[_DYN_USER_AGENT]===_navUserAgentCheck&&null!==_isTrident||(e=((_navUserAgentCheck=e[_DYN_USER_AGENT])||STR_EMPTY$1)[_DYN_TO_LOWER_CASE](),_isTrident=strContains(e,strMsie)||strContains(e,strTrident)),_isTrident}function getIEVersion(e){var t=((e=(e=void 0===e?null:e)?e:(t=getNavigator()||{})?(t.userAgent||STR_EMPTY$1)[_DYN_TO_LOWER_CASE]():STR_EMPTY$1)||STR_EMPTY$1)[_DYN_TO_LOWER_CASE]();if(strContains(t,strMsie))return e=getDocument()||{},mathMax(parseInt(t[_DYN_SPLIT](strMsie)[1]),e[strDocumentMode]||0);if(strContains(t,strTrident)){e=parseInt(t[_DYN_SPLIT](strTrident)[1]);if(e)return e+4}return null}function isSafari(e){var t=((e=e&&isString(e)?e:(t=getNavigator()||{})?(t.userAgent||STR_EMPTY$1)[_DYN_TO_LOWER_CASE]():STR_EMPTY$1)||STR_EMPTY$1)[_DYN_TO_LOWER_CASE]();return 0<=strIndexOf(t,"safari")}function isBeaconsSupported(e){return _beaconsSupported=null!==_beaconsSupported&&!1!==e?_beaconsSupported:hasNavigator()&&!!getNavigator().sendBeacon}function isFetchSupported(e){var t=!1;try{var t=!!getInst("fetch"),n=getInst("Request");t&&e&&n&&(t=_hasProperty(n,"keepalive"))}catch(r){}return t}function useXDomainRequest(){return _useXDomainRequest=null===_useXDomainRequest&&(_useXDomainRequest=typeof XDomainRequest!==strShimUndefined)&&isXhrSupported()?_useXDomainRequest&&!_hasProperty(getInst(strXMLHttpRequest),"withCredentials"):_useXDomainRequest}function isXhrSupported(){var e=!1;try{e=!!getInst(strXMLHttpRequest)}catch(t){}return e}function _getNamedValue(e,t){if(e)for(var n=0;n<e[_DYN_LENGTH];n++){var r=e[n];if(r[_DYN_NAME]&&r[_DYN_NAME]===t)return r}return{}}function findMetaTag(e){var t=getDocument();return t&&e?_getNamedValue(t.querySelectorAll("meta"),e).content:null}function findNamedServerTiming(e){var t=getPerformance();return t?_getNamedValue((0<(t=t.getEntriesByType("navigation")||[])[_DYN_LENGTH]?t[0]:{}).serverTiming,e).description:void 0}function dispatchEvent(e,t){return!!(e&&e.dispatchEvent&&t)&&(e.dispatchEvent(t),!0)}function createCustomDomEvent(e,t){var n,r=null,t={detail:t||null};return isFunction(CustomEvent)?r=new CustomEvent(e,t):(n=getDocument())&&n.createEvent&&(r=n.createEvent("CustomEvent")).initCustomEvent(e,!0,!0,t),r}function sendCustomEvent(e,t,n){var r=getGlobal();if(r&&r.CustomEvent)try{return dispatchEvent(r,createCustomDomEvent(e,{cfg:t||null,customDetails:n||null}))}catch(o){}return!1}var UInt32Mask=4294967296,MaxUInt32=4294967295,SEED1=123456789,SEED2=987654321,_mwcSeeded=!1,_mwcW=SEED1,_mwcZ=SEED2;function _mwcSeed(e){e<0&&(e>>>=0),_mwcW=SEED1+e&MaxUInt32,_mwcZ=SEED2-e&MaxUInt32,_mwcSeeded=!0}function _autoSeedMwc(){try{var e=2147483647&utcNow();_mwcSeed((Math.random()*UInt32Mask^e)+e)}catch(t){}}function randomValue(e){return 0<e?mathFloor(random32()/MaxUInt32*(e+1))>>>0:0}function random32(e){var t=0,n=getCrypto()||getMsCrypto();return 0===(t=n&&n.getRandomValues?n.getRandomValues(new Uint32Array(1))[0]&MaxUInt32:t)&&isIE()&&(_mwcSeeded||_autoSeedMwc(),t=mwcRandom32()&MaxUInt32),0===t&&(t=mathFloor(UInt32Mask*Math.random()|0)),e||(t>>>=0),t}function mwcRandomSeed(e){e?_mwcSeed(e):_autoSeedMwc()}function mwcRandom32(e){var t=((_mwcZ=36969*(65535&_mwcZ)+(_mwcZ>>16)&MaxUInt32)<<16)+(65535&(_mwcW=18e3*(65535&_mwcW)+(_mwcW>>16)&MaxUInt32))>>>0&MaxUInt32|0;return e||(t>>>=0),t}function newId(e){void 0===e&&(e=22);for(var t=random32()>>>0,n=0,r=STR_EMPTY$1;r[_DYN_LENGTH]<e;)r+="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[0|63&t]||"",t>>>=6,5==++n&&(t=(random32()<<2&4294967295|3&t)>>>0,n=0);return r}var version="3.3.8",instanceName="."+newId(6),_dataUid=0;function _canAcceptData(e){return 1===e.nodeType||9===e.nodeType||!+e.nodeType}function _getCache(e,t){var n=t[e.id];if(!n){n={};try{_canAcceptData(t)&&objDefine(t,e.id,{e:!1,v:n})}catch(r){}}return n}function createUniqueNamespace(e,t){return normalizeJsName(e+_dataUid+++((t=void 0!==t&&t)?"."+version:STR_EMPTY$1)+instanceName)}function createElmNodeData(e){var i={id:createUniqueNamespace("_aiData-"+(e||STR_EMPTY$1)+"."+version),accept:function(e){return _canAcceptData(e)},get:function(e,t,n,r){var o=e[i.id];return o?o[normalizeJsName(t)]:(r&&((o=_getCache(i,e))[normalizeJsName(t)]=n),n)},kill:function(e,t){if(e&&e[t])try{delete e[t]}catch(n){}}};return i}function _isConfigDefaults(e){return e&&isObject(e)&&!isArray(e)&&(e.isVal||e.fb||objHasOwn(e,"v")||objHasOwn(e,"mrg")||objHasOwn(e,"ref")||e.set)}function _getDefault(e,t,n){var r,o=n.dfVal||isDefined;if(t&&n.fb){var i=n.fb;isArray(i)||(i=[i]);for(var a=0;a<i[_DYN_LENGTH];a++){var s=i[a],_=t[s];if(o(_)?r=_:e&&(o(_=e.cfg[s])&&(r=_),e.set(e.cfg,asString(s),_)),o(r))break}}return!o(r)&&o(n.v)?n.v:r}function _resolveDefaultValue(n,r,e){var o,t=e;return(t=e&&_isConfigDefaults(e)?_getDefault(n,r,e):t)&&(_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),isArray(t)?(o=[])[_DYN_LENGTH]=t[_DYN_LENGTH]:isPlainObject(t)&&(o={}),o&&(objForEachKey(t,function(e,t){t&&_isConfigDefaults(t)&&(t=_resolveDefaultValue(n,r,t)),o[e]=t}),t=o)),t}function _applyDefaultValue(n,e,t,r){var o,i,a,s,_,u,c=r,c=_isConfigDefaults(c)?(o=c.isVal,i=c.set,_=c.rdOnly,l=c.blkVal,a=c.mrg,!(s=c.ref)&&isUndefined(s)&&(s=!!a),_getDefault(n,e,c)):r,r=(l&&n.blkVal(e,t),!0),l=e[t];!l&&isNullOrUndefined(l)||(u=l,r=!1,o&&u!==c&&!o(u)&&(u=c,r=!0),i&&(r=(u=i(u,c,e))===c)),r?u=c&&_resolveDefaultValue(n,e,c):(isPlainObject(u)||isArray(c))&&a&&c&&(isPlainObject(c)||isArray(c))&&objForEachKey(c,function(e,t){_applyDefaultValue(n,u,e,t)}),n.set(e,t,u),s&&n.ref(e,t),_&&n.rdOnly(e,t)}var CFG_HANDLER_LINK=symbolFor("[[ai_dynCfg_1]]"),BLOCK_DYNAMIC=symbolFor("[[ai_blkDynCfg_1]]"),FORCE_DYNAMIC=symbolFor("[[ai_frcDynCfg_1]]");function _cfgDeepCopy(e){var n;return e&&(isArray(e)?(n=[])[_DYN_LENGTH]=e[_DYN_LENGTH]:isPlainObject(e)&&(n={}),n)?(objForEachKey(e,function(e,t){n[e]=_cfgDeepCopy(t)}),n):e}function getDynamicConfigHandler(e){if(e){var t=e[CFG_HANDLER_LINK]||e;if(t.cfg&&(t.cfg===e||t.cfg[CFG_HANDLER_LINK]===t))return t}return null}function blockDynamicConversion(e){if(e&&(isPlainObject(e)||isArray(e)))try{e[BLOCK_DYNAMIC]=!0}catch(t){}return e}function forceDynamicConversion(e){if(e)try{e[FORCE_DYNAMIC]=!0}catch(t){}return e}function _canMakeDynamic(e,t,n){var r=!1;return!n||e[t.blkVal]||(r=n[FORCE_DYNAMIC])||n[BLOCK_DYNAMIC]?r:isPlainObject(n)||isArray(n)}function throwInvalidAccess(e){throwTypeError("InvalidAccess:"+e)}var arrayMethodsToPatch=["push","pop","shift","unshift","splice"],_throwDynamicError=function(e,t,n,r){e&&e[_DYN_THROW_INTERNAL](3,108,"".concat(n," [").concat(t,"] failed - ")+dumpObj(r))};function _patchArray(o,i,a){isArray(i)&&arrForEach(arrayMethodsToPatch,function(e){var r=i[e];i[e]=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=r[_DYN_APPLY](this,e);return _makeDynamicObject(o,i,a,"Patching"),n}})}function _getOwnPropGetter(e,t){e=objGetOwnPropertyDescriptor(e,t);return e&&e.get}function _createDynamicProperty(o,i,a,s){var _={n:a,h:[],trk:function(e){e&&e.fn&&(-1===arrIndexOf(_.h,e)&&_.h[_DYN_PUSH](e),o.trk(e,_))},clr:function(e){e=arrIndexOf(_.h,e);-1!==e&&_.h[_DYN_SPLICE](e,1)}},u=!0,c=!1;function l(){u&&(c=c||_canMakeDynamic(l,o,s),s&&!s[CFG_HANDLER_LINK]&&c&&(s=_makeDynamicObject(o,s,a,"Converting")),u=!1);var e=o.act;return e&&_.trk(e),s}l[o.prop]={chng:function(){o.add(_)}},objDefine(i,_.n,{g:l,s:function(t){if(s!==t){l[o.ro]&&!o.upd&&throwInvalidAccess("["+a+"] is read-only:"+dumpObj(i)),u&&(c=c||_canMakeDynamic(l,o,s),u=!1);var e,n=c&&l[o.rf];if(c)if(n){objForEachKey(s,function(e){s[e]=t?t[e]:UNDEFINED_VALUE});try{objForEachKey(t,function(e,t){_setDynamicProperty(o,s,e,t)}),t=s}catch(r){_throwDynamicError((o.hdlr||{})[_DYN_LOGGER],a,"Assigning",r),c=!1}}else s&&s[CFG_HANDLER_LINK]&&objForEachKey(s,function(e){var e=_getOwnPropGetter(s,e);e&&(e=e[o.prop])&&e.chng()});t!==s&&(e=t&&_canMakeDynamic(l,o,t),!n&&e&&(t=_makeDynamicObject(o,t,a,"Converting")),s=t,c=e),o.add(_)}}})}function _setDynamicProperty(e,t,n,r){var o;return t&&((o=_getOwnPropGetter(t,n))&&o[e.prop]?t[n]=r:_createDynamicProperty(e,t,n,r)),t}function _setDynamicPropertyState(e,t,n,r){if(t){var o=_getOwnPropGetter(t,n),i=o&&!!o[e.prop],a=r&&r[0],s=r&&r[1],r=r&&r[2];if(!i){if(r)try{blockDynamicConversion(t)}catch(_){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"Blocking",_)}try{_setDynamicProperty(e,t,n,t[n]),o=_getOwnPropGetter(t,n)}catch(_){_throwDynamicError((e.hdlr||{})[_DYN_LOGGER],n,"State",_)}}a&&(o[e.rf]=a),s&&(o[e.ro]=s),r&&(o[e.blkVal]=!0)}return t}function _makeDynamicObject(n,r,e,t){try{objForEachKey(r,function(e,t){_setDynamicProperty(n,r,e,t)}),r[CFG_HANDLER_LINK]||(objDefineProp(r,CFG_HANDLER_LINK,{get:function(){return n.hdlr}}),_patchArray(n,r,e))}catch(o){_throwDynamicError((n.hdlr||{})[_DYN_LOGGER],e,t,o)}return r}var symPrefix="[[ai_",symPostfix="]]";function _createState(i){var a,e=newSymbol(symPrefix+"get"+i.uid+symPostfix),t=newSymbol(symPrefix+"ro"+i.uid+symPostfix),n=newSymbol(symPrefix+"rf"+i.uid+symPostfix),r=newSymbol(symPrefix+"blkVal"+i.uid+symPostfix),s=newSymbol(symPrefix+"dtl"+i.uid+symPostfix),o=null,_=null;function u(t,e){var n=a.act;try{(a.act=t)&&t[s]&&(arrForEach(t[s],function(e){e.clr(t)}),t[s]=[]),e({cfg:i.cfg,set:i.set.bind(i),setDf:i.setDf.bind(i),ref:i.ref.bind(i),rdOnly:i.rdOnly.bind(i)})}catch(o){var r=i[_DYN_LOGGER];throw r&&r[_DYN_THROW_INTERNAL](1,107,dumpObj(o)),o}finally{a.act=n||null}}function c(){if(o){var e=o,n=(o=null,_&&_[_DYN_CANCEL](),_=null,[]);if(arrForEach(e,function(t){if(t&&(t[s]&&(arrForEach(t[s],function(e){e.clr(t)}),t[s]=null),t.fn))try{u(t,t.fn)}catch(e){n[_DYN_PUSH](e)}}),o)try{c()}catch(t){n[_DYN_PUSH](t)}0<n[_DYN_LENGTH]&&throwAggregationError("Watcher error(s): ",n)}}return a={prop:e,ro:t,rf:n,blkVal:r,hdlr:i,add:function(e){if(e&&0<e.h[_DYN_LENGTH]){o=o||[],_=_||scheduleTimeout(function(){_=null,c()},0);for(var t=0;t<e.h[_DYN_LENGTH];t++){var n=e.h[t];n&&-1===arrIndexOf(o,n)&&o[_DYN_PUSH](n)}}},notify:c,use:u,trk:function(e,t){e&&(e=e[s]=e[s]||[],-1===arrIndexOf(e,t)&&e[_DYN_PUSH](t))}}}function _createAndUseHandler(e,t){var n={fn:t,rm:function(){n.fn=null,t=e=null}};return objDefine(n,"toJSON",{v:function(){return"WatcherHandler"+(n.fn?"":"[X]")}}),e.use(n,t),n}function _createDynamicHandler(o,e,t){var n=getDynamicConfigHandler(e);if(n)return n;var i,n=createUniqueNamespace("dyncfg",!0),t=e&&!1!==t?e:_cfgDeepCopy(e),r={uid:null,cfg:t,logger:o,notify:function(){i.notify()},set:function(e,t,n){try{e=_setDynamicProperty(i,e,t,n)}catch(r){_throwDynamicError(o,t,"Setting value",r)}return e[t]},setDf:function(n,e){return e&&objForEachKey(e,function(e,t){_applyDefaultValue(r,n,e,t)}),n},watch:function(e){return _createAndUseHandler(i,e)},ref:function(e,t){return _setDynamicPropertyState(i,e,t,((e={})[0]=!0,e))[t]},rdOnly:function(e,t){return _setDynamicPropertyState(i,e,t,((e={})[1]=!0,e))[t]},blkVal:function(e,t){return _setDynamicPropertyState(i,e,t,((e={})[2]=!0,e))[t]},_block:function(n,r){i.use(null,function(e){var t=i.upd;try{isUndefined(r)||(i.upd=r),n(e)}finally{i.upd=t}})}};return objDefine(r,"uid",{c:!1,e:!1,w:!1,v:n}),_makeDynamicObject(i=_createState(r),t,"config","Creating"),r}function _logInvalidAccess(e,t){e?(e[_DYN_WARN_TO_CONSOLE](t),e[_DYN_THROW_INTERNAL](2,108,t)):throwInvalidAccess(t)}function createDynamicConfig(e,t,n,r){n=_createDynamicHandler(n,e||{},r);return t&&n.setDf(n.cfg,t),n}function onConfigChange(e,t,n){var r=e[CFG_HANDLER_LINK]||e;return!r.cfg||r.cfg!==e&&r.cfg[CFG_HANDLER_LINK]!==r?(_logInvalidAccess(n,STR_NOT_DYNAMIC_ERROR+dumpObj(e)),createDynamicConfig(e,null,n)[_DYN_WATCH](t)):r[_DYN_WATCH](t)}function runTargetUnload(e,t){if(e&&e[_DYN_UNLOAD])return e[_DYN_UNLOAD](t)}function doUnloadAll(e,t,n){var r;return n||(r=createPromise(function(e){n=e})),e&&0<getLength(e)?doAwaitResponse(runTargetUnload(e[0],t),function(){doUnloadAll(arrSlice(e,1),t,n)}):n(),r}var ChannelControllerPriority=500,DisabledPropertyName="Microsoft_ApplicationInsights_BypassAjaxInstrumentation";function _stringToBoolOrDefault(e,t,n){return!e&&isNullOrUndefined(e)?t:isBoolean(e)?e:"true"===asString(e)[_DYN_TO_LOWER_CASE]()}function cfgDfMerge(e){return{mrg:!0,v:e}}function cfgDfSet(e,t){return{set:e,v:t}}function cfgDfValidate(e,t,n){return{fb:n,isVal:e,v:t}}function cfgDfBoolean(e,t){return{fb:t,set:_stringToBoolOrDefault,v:!!e}}function cfgDfFunc(e){return{isVal:isFunction,v:e||null}}function cfgDfString(e){return{isVal:isString,v:asString(e||STR_EMPTY$1)}}function cfgDfBlockPropValue(e){return{blkVal:!0,v:e}}var _debugListener,_a$3,listenerFuncs=[STR_EVENTS_SENT,STR_EVENTS_DISCARDED,STR_EVENTS_SEND_REQUEST,STR_PERF_EVENT],_aiNamespace=null;function _listenerProxyFunc(n,r){return function(){var e=arguments,t=getDebugExt(r);t&&(t=t.listener)&&t[n]&&t[n][_DYN_APPLY](t,e)}}function _getExtensionNamespace(){var e=getInst("Microsoft");return _aiNamespace=e?e.ApplicationInsights:_aiNamespace}function getDebugExt(e){var t=_aiNamespace;return(t=t||!0===e.disableDbgExt?t:_aiNamespace||_getExtensionNamespace())?t.ChromeDbgExt:null}function getDebugListener(e){if(!_debugListener){_debugListener={};for(var t=0;t<listenerFuncs[_DYN_LENGTH];t++)_debugListener[listenerFuncs[t]]=_listenerProxyFunc(listenerFuncs[t],e)}return _debugListener}var STR_WARN_TO_CONSOLE="warnToConsole",AiNonUserActionablePrefix="AI (Internal): ",AiUserActionablePrefix="AI: ",AIInternalMessagePrefix="AITR_",defaultValues$2={loggingLevelConsole:0,loggingLevelTelemetry:1,maxMessageLimit:25,enableDebug:!1},_logFuncs=((_a$3={})[0]=null,_a$3[1]="errorToConsole",_a$3[2]=STR_WARN_TO_CONSOLE,_a$3[3]="debugToConsole",_a$3);function _sanitizeDiagnosticText(e){return e?'"'+e[_DYN_REPLACE](/\"/g,STR_EMPTY$1)+'"':STR_EMPTY$1}function _logToConsole(e,t){var n,r=getConsole();r&&(n="log",r[e]&&(n=e),isFunction(r[n])&&r[n](t))}var _InternalLogMessage=function(){function e(e,t,n,r){void 0===n&&(n=!1),this[_DYN_MESSAGE_ID]=e,this[_DYN_MESSAGE]=(n?AiUserActionablePrefix:AiNonUserActionablePrefix)+e;n=STR_EMPTY$1,hasJSON()&&(n=getJSON().stringify(r)),e=(t?" message:"+_sanitizeDiagnosticText(t):STR_EMPTY$1)+(r?" props:"+_sanitizeDiagnosticText(n):STR_EMPTY$1);this[_DYN_MESSAGE]+=e}return e.dataType="MessageData",e}();function safeGetLogger(e,t){return(e||{})[_DYN_LOGGER]||new DiagnosticLogger(t)}var _a$2,_b,DiagnosticLogger=function(){function e(r){this.identifier="DiagnosticLogger",this.queue=[];var _,o,u,c,t,l=0,f={};dynamicProto(e,this,function(i){function a(e,t){var n,r;u<=l||(r=!0,n=AIInternalMessagePrefix+t[_DYN_MESSAGE_ID],f[n]?r=!1:f[n]=!0,r&&(e<=o&&(i.queue[_DYN_PUSH](t),l++,s(1===e?"error":"warn",t)),l===u&&(r=new _InternalLogMessage(23,n="Internal events throttle limit per PageView reached for this app.",!1),i.queue[_DYN_PUSH](r),1===e?i.errorToConsole(n):i[_DYN_WARN_TO_CONSOLE](n))))}function s(e,t){var n=getDebugExt(r||{});n&&n[_DYN_DIAG_LOG]&&n[_DYN_DIAG_LOG](e,t)}t=onConfigChange(createDynamicConfig(r||{},defaultValues$2,i).cfg,function(e){e=e.cfg;_=e[_DYN_LOGGING_LEVEL_CONSOL4],o=e.loggingLevelTelemetry,u=e.maxMessageLimit,c=e.enableDebug}),i.consoleLoggingLevel=function(){return _},i[_DYN_THROW_INTERNAL]=function(e,t,n,r,o){t=new _InternalLogMessage(t,n,o=void 0!==o&&o,r);if(c)throw dumpObj(t);n=_logFuncs[e]||STR_WARN_TO_CONSOLE;isUndefined(t[_DYN_MESSAGE])?s("throw"+(1===e?"Critical":"Warning"),t):(o?(r=+t[_DYN_MESSAGE_ID],!f[r]&&e<=_&&(i[n](t[_DYN_MESSAGE]),f[r]=!0)):e<=_&&i[n](t[_DYN_MESSAGE]),a(e,t))},i.debugToConsole=function(e){_logToConsole("debug",e),s("warning",e)},i[_DYN_WARN_TO_CONSOLE]=function(e){_logToConsole("warn",e),s("warning",e)},i.errorToConsole=function(e){_logToConsole("error",e),s("error",e)},i.resetInternalMessageCount=function(){l=0,f={}},i.logInternalMessage=a,i[_DYN_UNLOAD]=function(e){t&&t.rm(),t=null}})}return e.__ieDyn=1,e}();function _getLogger(e){return e||new DiagnosticLogger}function _throwInternal(e,t,n,r,o,i){void 0===i&&(i=!1),_getLogger(e)[_DYN_THROW_INTERNAL](t,n,r,o,i)}function _warnToConsole(e,t){_getLogger(e)[_DYN_WARN_TO_CONSOLE](t)}function _logInternalMessage(e,t,n){_getLogger(e).logInternalMessage(t,n)}var _doc,strToGMTString="toGMTString",strToUTCString="toUTCString",strCookie="cookie",strExpires="expires",strIsCookieUseDisabled="isCookieUseDisabled",strDisableCookiesUsage="disableCookiesUsage",strConfigCookieMgr="_ckMgr",_supportsCookies=null,_allowUaSameSite=null,_parsedCookieValue=null,_cookieCache={},_globalCookieConfig={},rootDefaultConfig=((_a$2={cookieCfg:cfgDfMerge(((_b={})[STR_DOMAIN]={fb:"cookieDomain",dfVal:isNotNullOrUndefined},_b.path={fb:"cookiePath",dfVal:isNotNullOrUndefined},_b.enabled=UNDEFINED_VALUE,_b.ignoreCookies=UNDEFINED_VALUE,_b.blockedCookies=UNDEFINED_VALUE,_b)),cookieDomain:UNDEFINED_VALUE,cookiePath:UNDEFINED_VALUE})[strDisableCookiesUsage]=UNDEFINED_VALUE,_a$2);function _getDoc(){_doc=_doc||getLazy(function(){return getDocument()})}function _gblCookieMgr(e,t){var n=createCookieMgr[strConfigCookieMgr]||_globalCookieConfig[strConfigCookieMgr];return n||(n=createCookieMgr[strConfigCookieMgr]=createCookieMgr(e,t),_globalCookieConfig[strConfigCookieMgr]=n),n}function _isMgrEnabled(e){return!e||e.isEnabled()}function _isIgnoredCookie(e,t){return!!(t&&e&&isArray(e.ignoreCookies))&&-1!==arrIndexOf(e.ignoreCookies,t)}function _isBlockedCookie(e,t){return!!(t&&e&&isArray(e.blockedCookies)&&-1!==arrIndexOf(e.blockedCookies,t))||_isIgnoredCookie(e,t)}function _isCfgEnabled(e,t){var n,t=t[_DYN_ENABLED];return isNullOrUndefined(t)&&(n=void 0,isUndefined(e[strIsCookieUseDisabled])||(n=!e[strIsCookieUseDisabled]),t=n=isUndefined(e[strDisableCookiesUsage])?n:!e[strDisableCookiesUsage]),t}function safeGetCookieMgr(e,t){var n,r;return e?r=e.getCookieMgr():t&&(r=(n=t.cookieCfg)&&n[strConfigCookieMgr]?n[strConfigCookieMgr]:createCookieMgr(t)),r||_gblCookieMgr(t,(e||{})[_DYN_LOGGER])}function createCookieMgr(n,o){var u,c,l,r,i,f,a,t=onConfigChange(n=createDynamicConfig(n||_globalCookieConfig,null,o).cfg,function(e){e.setDf(e.cfg,rootDefaultConfig),u=e.ref(e.cfg,"cookieCfg"),c=u[STR_PATH]||"/",l=u[STR_DOMAIN],r=!1!==_isCfgEnabled(n,u),i=u.getCookie||_getCookieValue,f=u.setCookie||_setCookieValue,a=u.delCookie||_setCookieValue},o),E={isEnabled:function(){var e=!1!==_isCfgEnabled(n,u)&&r&&areCookiesSupported(o),t=_globalCookieConfig[strConfigCookieMgr];return e&&t&&E!==t?_isMgrEnabled(t):e},setEnabled:function(e){r=!1!==e,u[_DYN_ENABLED]=e},set:function(e,t,n,r,o){var i,a,s,_=!1;return _isMgrEnabled(E)&&!_isBlockedCookie(u,e)&&(i={},a=strTrim(t||STR_EMPTY$1),-1!==(s=strIndexOf(a,";"))&&(a=strTrim(strLeft(t,s)),i=_extractParts(strSubstring(t,s+1))),setValue(i,STR_DOMAIN,r||l,isTruthy,isUndefined),isNullOrUndefined(n)||(t=isIE(),isUndefined(i[strExpires])&&0<(s=utcNow()+1e3*n)&&((r=new Date).setTime(s),setValue(i,strExpires,_formatDate(r,t?strToGMTString:strToUTCString)||_formatDate(r,t?strToGMTString:strToUTCString)||STR_EMPTY$1,isTruthy)),t||setValue(i,"max-age",STR_EMPTY$1+n,null,isUndefined)),(s=getLocation())&&"https:"===s.protocol&&(setValue(i,"secure",null,null,isUndefined),(_allowUaSameSite=null===_allowUaSameSite?!uaDisallowsSameSiteNone((getNavigator()||{})[_DYN_USER_AGENT]):_allowUaSameSite)&&setValue(i,"SameSite","None",null,isUndefined)),setValue(i,STR_PATH,o||c,null,isUndefined),f(e,_formatCookieValue(a,i)),_=!0),_},get:function(e){var t=STR_EMPTY$1;return _isMgrEnabled(E)&&!_isIgnoredCookie(u,e)?i(e):t},del:function(e,t){return!!_isMgrEnabled(E)&&E.purge(e,t)},purge:function(e,t){var n,r=!1;return areCookiesSupported(o)&&((n={})[STR_PATH]=t||"/",n[strExpires]="Thu, 01 Jan 1970 00:00:01 GMT",t=n,isIE()||(t["max-age"]="0"),a(e,_formatCookieValue(STR_EMPTY$1,t)),r=!0),r},unload:function(e){t&&t.rm(),t=null}};return E[strConfigCookieMgr]=E}function areCookiesSupported(e){if(null===_supportsCookies){_supportsCookies=!1,_doc||_getDoc();try{var t=_doc.v||{};_supportsCookies=t[strCookie]!==undefined}catch(n){_throwInternal(e,2,68,"Cannot access document.cookie - "+getExceptionName(n),{exception:dumpObj(n)})}}return _supportsCookies}function _extractParts(e){var n={};return e&&e[_DYN_LENGTH]&&arrForEach(strTrim(e)[_DYN_SPLIT](";"),function(e){var t;(e=strTrim(e||STR_EMPTY$1))&&(-1===(t=strIndexOf(e,"="))?n[e]=null:n[strTrim(strLeft(e,t))]=strTrim(strSubstring(e,t+1)))}),n}function _formatDate(e,t){return isFunction(e[t])?e[t]():null}function _formatCookieValue(e,t){var n=e||STR_EMPTY$1;return objForEachKey(t,function(e,t){n+="; "+e+(isNullOrUndefined(t)?STR_EMPTY$1:"="+t)}),n}function _getCookieValue(e){var t,n=STR_EMPTY$1;return _doc||_getDoc(),_doc.v&&(t=_doc.v[strCookie]||STR_EMPTY$1,_parsedCookieValue!==t&&(_cookieCache=_extractParts(t),_parsedCookieValue=t),n=strTrim(_cookieCache[e]||STR_EMPTY$1)),n}function _setCookieValue(e,t){_doc||_getDoc(),_doc.v&&(_doc.v[strCookie]=e+"="+t)}function uaDisallowsSameSiteNone(e){return!(!isString(e)||!strContains(e,"CPU iPhone OS 12")&&!strContains(e,"iPad; CPU OS 12")&&!(strContains(e,"Macintosh; Intel Mac OS X 10_14")&&strContains(e,"Version/")&&strContains(e,"Safari"))&&(!strContains(e,"Macintosh; Intel Mac OS X 10_14")||!strEndsWith(e,"AppleWebKit/605.1.15 (KHTML, like Gecko)"))&&!strContains(e,"Chrome/5")&&!strContains(e,"Chrome/6")&&(!strContains(e,"UnrealEngine")||strContains(e,"Chrome"))&&!strContains(e,"UCBrowser/12")&&!strContains(e,"UCBrowser/11"))}var defaultValues$1={perfEvtsSendAll:!1};function _runScheduledListeners(e){e.h=null;var t=e.cb;e.cb=[],arrForEach(t,function(e){safe(e.fn,[e.arg])})}function _runListeners(e,t,n,r){arrForEach(e,function(e){e&&e[t]&&(n?(n.cb[_DYN_PUSH]({fn:r,arg:e}),n.h=n.h||scheduleTimeout(_runScheduledListeners,0,n)):safe(r,[e]))})}var NotificationManager=function(){function t(e){this.listeners=[];var n,o=[],i={h:null,cb:[]},a=createDynamicConfig(e,defaultValues$1)[_DYN_WATCH](function(e){n=!!e.cfg.perfEvtsSendAll});dynamicProto(t,this,function(e){objDefine(e,"listeners",{g:function(){return o}}),e[_DYN_ADD_NOTIFICATION_LIS1]=function(e){o[_DYN_PUSH](e)},e[_DYN_REMOVE_NOTIFICATION_0]=function(e){for(var t=arrIndexOf(o,e);-1<t;)o[_DYN_SPLICE](t,1),t=arrIndexOf(o,e)},e[STR_EVENTS_SENT]=function(t){_runListeners(o,STR_EVENTS_SENT,i,function(e){e[STR_EVENTS_SENT](t)})},e[STR_EVENTS_DISCARDED]=function(t,n){_runListeners(o,STR_EVENTS_DISCARDED,i,function(e){e[STR_EVENTS_DISCARDED](t,n)})},e[STR_EVENTS_SEND_REQUEST]=function(t,n){_runListeners(o,STR_EVENTS_SEND_REQUEST,n?i:null,function(e){e[STR_EVENTS_SEND_REQUEST](t,n)})},e[STR_PERF_EVENT]=function(t){!t||!n&&t[_DYN_IS_CHILD_EVT]()||_runListeners(o,STR_PERF_EVENT,null,function(e){t.isAsync?scheduleTimeout(function(){return e[STR_PERF_EVENT](t)},0):e[STR_PERF_EVENT](t)})},e[STR_OFFLINE_STORE]=function(t){t&&t[_DYN_LENGTH]&&_runListeners(o,STR_OFFLINE_STORE,i,function(e){e[STR_OFFLINE_STORE](t)})},e[STR_OFFLINE_SENT]=function(t){t&&t[_DYN_DATA]&&_runListeners(o,STR_OFFLINE_SENT,i,function(e){e[STR_OFFLINE_SENT](t)})},e[STR_OFFLINE_DROP]=function(t,e){var n;0<t&&(n=e||0,_runListeners(o,STR_OFFLINE_DROP,i,function(e){e[STR_OFFLINE_DROP](t,n)}))},e[_DYN_UNLOAD]=function(t){var n,r=function(){a&&a.rm(),a=null,o=[],i.h&&i.h[_DYN_CANCEL](),i.h=null,i.cb=[]};if(_runListeners(o,"unload",null,function(e){e=e[_DYN_UNLOAD](t);e&&(n=n||[])[_DYN_PUSH](e)}),n)return createPromise(function(e){return doAwaitResponse(createAllPromise(n),function(){r(),e()})});r()}})}return t.__ieDyn=1,t}(),strExecutionContextKey="ctx",strParentContextKey="ParentContextKey",strChildrenContextKey="ChildrenContextKey",_defaultPerfManager=null,PerfEvent=function(){function i(e,t,n){var r,o=this;o.start=utcNow(),o[_DYN_NAME]=e,o.isAsync=n,o[_DYN_IS_CHILD_EVT]=function(){return!1},isFunction(t)&&objDefine(o,"payload",{g:function(){return!r&&isFunction(t)&&(r=t(),t=null),r}}),o[_DYN_GET_CTX]=function(e){return e?(e===i[strParentContextKey]||e===i[strChildrenContextKey]?o:o[strExecutionContextKey]||{})[e]:null},o[_DYN_SET_CTX]=function(e,t){e&&(e===i[strParentContextKey]?(o[e]||(o[_DYN_IS_CHILD_EVT]=function(){return!0}),o[e]=t):e===i[strChildrenContextKey]?o[e]=t:(o[strExecutionContextKey]=o[strExecutionContextKey]||{})[e]=t)},o.complete=function(){var e=0,t=o[_DYN_GET_CTX](i[strChildrenContextKey]);if(isArray(t))for(var n=0;n<t[_DYN_LENGTH];n++){var r=t[n];r&&(e+=r.time)}o.time=utcNow()-o.start,o.exTime=o.time-e,o.complete=function(){}}}return i.ParentContextKey="parent",i.ChildrenContextKey="childEvts",i}(),PerfManager=function(){function e(t){this.ctx={},dynamicProto(e,this,function(n){n.create=function(e,t,n){return new PerfEvent(e,t,n)},n.fire=function(e){e&&(e.complete(),t&&isFunction(t[STR_PERF_EVENT])&&t[STR_PERF_EVENT](e))},n[_DYN_SET_CTX]=function(e,t){e&&((n[strExecutionContextKey]=n[strExecutionContextKey]||{})[e]=t)},n[_DYN_GET_CTX]=function(e){return(n[strExecutionContextKey]||{})[e]}})}return e.__ieDyn=1,e}(),doPerfActiveKey="CoreUtils.doPerf";function doPerf(e,t,n,r,o){if(e)if(e=e[STR_GET_PERF_MGR]?e[STR_GET_PERF_MGR]():e){var i,a=void 0,s=e[_DYN_GET_CTX](doPerfActiveKey);try{if(a=e.create(t(),r,o))return s&&a[_DYN_SET_CTX]&&(a[_DYN_SET_CTX](PerfEvent[strParentContextKey],s),s[_DYN_GET_CTX]&&s[_DYN_SET_CTX]&&((i=s[_DYN_GET_CTX](PerfEvent[strChildrenContextKey]))||(i=[],s[_DYN_SET_CTX](PerfEvent[strChildrenContextKey],i)),i[_DYN_PUSH](a))),e[_DYN_SET_CTX](doPerfActiveKey,a),n(a)}catch(_){a&&a[_DYN_SET_CTX]&&a[_DYN_SET_CTX]("exception",_)}finally{a&&e.fire(a),e[_DYN_SET_CTX](doPerfActiveKey,s)}}return n()}function setGblPerfMgr(e){_defaultPerfManager=e}function getGblPerfMgr(){return _defaultPerfManager}var Undefined=strShimUndefined;function newGuid(){var e=generateW3CId();return strSubstring(e,0,8)+"-"+strSubstring(e,8,12)+"-"+strSubstring(e,12,16)+"-"+strSubstring(e,16,20)+"-"+strSubstring(e,20)}function generateW3CId(){for(var e,t=["0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f"],n=STR_EMPTY$1,r=0;r<4;r++)n+=t[15&(e=random32())]+t[e>>4&15]+t[e>>8&15]+t[e>>12&15]+t[e>>16&15]+t[e>>20&15]+t[e>>24&15]+t[e>>28&15];var o=t[8+(3&random32())|0];return strSubstr(n,0,8)+strSubstr(n,9,4)+"4"+strSubstr(n,13,3)+o+strSubstr(n,16,3)+strSubstr(n,19,12)}var TRACE_PARENT_REGEX=/^([\da-f]{2})-([\da-f]{32})-([\da-f]{16})-([\da-f]{2})(-[^\s]{1,64})?$/i,DEFAULT_VERSION="00",INVALID_VERSION="ff",INVALID_TRACE_ID="00000000000000000000000000000000",INVALID_SPAN_ID="0000000000000000",SAMPLED_FLAG=1;function _isValid(e,t,n){return!(!e||e[_DYN_LENGTH]!==t||e===n||!e.match(/^[\da-f]*$/i))}function _formatValue(e,t,n){return _isValid(e,t)?e:n}function _formatFlags(e){for(var t=(e=isNaN(e)||e<0||255<e?1:e).toString(16);t[_DYN_LENGTH]<2;)t="0"+t;return t}function createTraceParent(e,t,n,r){return{version:_isValid(r,2,INVALID_VERSION)?r:DEFAULT_VERSION,traceId:isValidTraceId(e)?e:generateW3CId(),spanId:isValidSpanId(t)?t:strLeft(generateW3CId(),16),traceFlags:0<=n&&n<=255?n:1}}function parseTraceParent(e,t){if(!e)return null;if(!(e=isArray(e)?e[0]||"":e)||!isString(e)||8192<e[_DYN_LENGTH])return null;-1!==e[_DYN_INDEX_OF](",")&&(e=(n=e[_DYN_SPLIT](","))[0<t&&n[_DYN_LENGTH]>t?t:0]);var n=TRACE_PARENT_REGEX.exec(strTrim(e));return n&&n[1]!==INVALID_VERSION&&n[2]!==INVALID_TRACE_ID&&n[3]!==INVALID_SPAN_ID?{version:(n[1]||STR_EMPTY$1)[_DYN_TO_LOWER_CASE](),traceId:(n[2]||STR_EMPTY$1)[_DYN_TO_LOWER_CASE](),spanId:(n[3]||STR_EMPTY$1)[_DYN_TO_LOWER_CASE](),traceFlags:parseInt(n[4],16)}:null}function isValidTraceId(e){return _isValid(e,32,INVALID_TRACE_ID)}function isValidSpanId(e){return _isValid(e,16,INVALID_SPAN_ID)}function isValidTraceParent(e){return!!(e&&_isValid(e[_DYN_VERSION],2,INVALID_VERSION)&&_isValid(e.traceId,32,INVALID_TRACE_ID)&&_isValid(e.spanId,16,INVALID_SPAN_ID)&&_isValid(_formatFlags(e[_DYN_TRACE_FLAGS]),2))}function isSampledFlag(e){return!!isValidTraceParent(e)&&(e[_DYN_TRACE_FLAGS]&SAMPLED_FLAG)===SAMPLED_FLAG}function formatTraceParent(e){var t,n;return e?(_isValid(t=_formatFlags(e[_DYN_TRACE_FLAGS]),2)||(t="01"),n=e[_DYN_VERSION]||DEFAULT_VERSION,"".concat((n="00"!==n&&"ff"!==n?DEFAULT_VERSION:n).toLowerCase(),"-").concat(_formatValue(e.traceId,32,INVALID_TRACE_ID).toLowerCase(),"-").concat(_formatValue(e.spanId,16,INVALID_SPAN_ID).toLowerCase(),"-").concat(t.toLowerCase())):""}function findW3cTraceParent(e){var t="traceparent";return parseTraceParent(findMetaTag(t),e)||parseTraceParent(findNamedServerTiming(t),e)}function findAllScripts(e){var e=e.getElementsByTagName("script"),i=[];return arrForEach(e,function(e){var t,n,r,o=e[_DYN_GET_ATTRIBUTE]("src");o&&(t=e[_DYN_GET_ATTRIBUTE]("crossorigin"),n=!0===e.hasAttribute("async"),r=!0===e.hasAttribute("defer"),e=e[_DYN_GET_ATTRIBUTE]("referrerpolicy"),o={url:o},t&&(o.crossOrigin=t),n&&(o["async"]=n),r&&(o.defer=r),e&&(o.referrerPolicy=e),i[_DYN_PUSH](o))}),i}var pluginStateData=createElmNodeData("plugin");function _getPluginState(e){return pluginStateData.get(e,"state",{},!0)}function initializePlugins(n,r){for(var e=[],t=null,o=n[_DYN_GET_NEXT]();o;){var i,a,s=o[_DYN_GET_PLUGIN]();s&&(t&&t[_DYN_SET_NEXT_PLUGIN]&&s[STR_PROCESS_TELEMETRY]&&t[_DYN_SET_NEXT_PLUGIN](s),a=!!(i=_getPluginState(s))[_DYN_IS_INITIALIZED],(a=s[_DYN_IS_INITIALIZED]?s[_DYN_IS_INITIALIZED]():a)||e[_DYN_PUSH](s),t=s,o=o[_DYN_GET_NEXT]())}arrForEach(e,function(e){var t=n[STR_CORE]();e[_DYN_INITIALIZE](n.getCfg(),t,r,n[_DYN_GET_NEXT]()),i=_getPluginState(e),e[STR_CORE]||i[STR_CORE]||(i[STR_CORE]=t),i[_DYN_IS_INITIALIZED]=!0,delete i[_DYN_TEARDOWN]})}function sortPlugins(e){return e.sort(function(e,t){var n,r=0;return t?(n=t[STR_PROCESS_TELEMETRY],e[STR_PROCESS_TELEMETRY]?r=n?e[STR_PRIORITY]-t[STR_PRIORITY]:1:n&&(r=-1)):r=e?1:-1,r})}function unloadComponents(n,r,o,e){var i=0;return function a(){for(;i<n[_DYN_LENGTH];){var e=n[i++];if(e){var t=e._doUnload||e[_DYN__DO_TEARDOWN];if(isFunction(t)&&!0===t.call(e,r,o,a))return!0}}}()}function createDistributedTraceContext(t){var n={};return{getName:function(){return n[_DYN_NAME]},setName:function(e){t&&t.setName(e),n[_DYN_NAME]=e},getTraceId:function(){return n.traceId},setTraceId:function(e){t&&t.setTraceId(e),isValidTraceId(e)&&(n.traceId=e)},getSpanId:function(){return n.spanId},setSpanId:function(e){t&&t.setSpanId(e),isValidSpanId(e)&&(n.spanId=e)},getTraceFlags:function(){return n[_DYN_TRACE_FLAGS]},setTraceFlags:function(e){t&&t.setTraceFlags(e),n[_DYN_TRACE_FLAGS]=e}}}var strTelemetryPluginChain="TelemetryPluginChain",strHasRunFlags="_hasRun",strGetTelCtx="_getTelCtx",_chainId=0;function _getNextProxyStart(e,t,n){for(;e;){if(e[_DYN_GET_PLUGIN]()===n)return e;e=e[_DYN_GET_NEXT]()}return createTelemetryProxyChain([n],t.config||{},t)}function _createInternalContext(e,i,n,t){var r=null,o=[],a=(i=i||createDynamicConfig({},null,n[_DYN_LOGGER]),null!==t&&(r=t?_getNextProxyStart(e,n,t):e),{_next:function(){var e,t=r;return r=t?t[_DYN_GET_NEXT]():null,t||(e=o)&&0<e[_DYN_LENGTH]&&(arrForEach(e,function(e){try{e.func.call(e.self,e.args)}catch(t){_throwInternal(n[_DYN_LOGGER],2,73,"Unexpected Exception during onComplete - "+dumpObj(t))}}),o=[]),t},ctx:{core:function(){return n},diagLog:function(){return safeGetLogger(n,i.cfg)},getCfg:function(){return i.cfg},getExtCfg:function(e,t){var r=s(e,!0);return t&&objForEachKey(t,function(e,t){var n;!isNullOrUndefined(r[e])||!(n=i.cfg[e])&&isNullOrUndefined(n)||(r[e]=n),_applyDefaultValue(i,r,e,t)}),i.setDf(r,t)},getConfig:function(e,t,n){void 0===n&&(n=!1);var r,e=s(e,!1),o=i.cfg;return!e||!e[t]&&isNullOrUndefined(e[t])?!o[t]&&isNullOrUndefined(o[t])||(r=o[t]):r=e[t],r||!isNullOrUndefined(r)?r:n},hasNext:function(){return!!r},getNext:function(){return r},setNext:function(e){r=e},iterate:function(e){for(;t=a._next();){var t=t[_DYN_GET_PLUGIN]();t&&e(t)}},onComplete:function(e,t){for(var n=[],r=2;r<arguments.length;r++)n[r-2]=arguments[r];e&&o[_DYN_PUSH]({func:e,self:isUndefined(t)?a.ctx:t,args:n})}}});function s(e,t){var n,r=null,o=i.cfg;return o&&e&&(n=o[STR_EXTENSION_CONFIG],o[STR_EXTENSION_CONFIG]=n=!n&&t?{}:n,(n=i.ref(o,STR_EXTENSION_CONFIG))&&(r=n[e],n[e]=r=!r&&t?{}:r,r=i.ref(n,e))),r}return a}function createProcessTelemetryContext(e,t,n,r){var o=createDynamicConfig(t),i=_createInternalContext(e,o,n,r),a=i.ctx;return a[_DYN_PROCESS_NEXT]=function(e){var t=i._next();return t&&t[STR_PROCESS_TELEMETRY](e,a),!t},a[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,o.cfg,n,t):e)||a[_DYN_GET_NEXT](),o.cfg,n,t)},a}function createProcessTelemetryUnloadContext(e,n,t){var r=createDynamicConfig(n.config),o=_createInternalContext(e,r,n,t),i=o.ctx;return i[_DYN_PROCESS_NEXT]=function(e){var t=o._next();return t&&t[_DYN_UNLOAD](i,e),!t},i[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUnloadContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||i[_DYN_GET_NEXT](),n,t)},i}function createProcessTelemetryUpdateContext(e,n,t){var r=createDynamicConfig(n.config),o=_createInternalContext(e,r,n,t).ctx;return o[_DYN_PROCESS_NEXT]=function(t){return o.iterate(function(e){isFunction(e[_DYN_UPDATE])&&e[_DYN_UPDATE](o,t)})},o[_DYN_CREATE_NEW]=function(e,t){return createProcessTelemetryUpdateContext((e=isArray(e=void 0===e?null:e)?createTelemetryProxyChain(e,r.cfg,n,t):e)||o[_DYN_GET_NEXT](),n,t)},o}function createTelemetryProxyChain(e,t,n,r){var o,i=null,a=!r;return isArray(e)&&0<e[_DYN_LENGTH]&&(o=null,arrForEach(e,function(e){(a=!a&&r===e||a)&&e&&isFunction(e[STR_PROCESS_TELEMETRY])&&(e=createTelemetryPluginProxy(e,t,n),i=i||e,o&&o._setNext(e),o=e)})),r&&!i?createTelemetryProxyChain([r],t,n):i}function createTelemetryPluginProxy(_,r,o){var u=null,i=isFunction(_[STR_PROCESS_TELEMETRY]),a=isFunction(_[_DYN_SET_NEXT_PLUGIN]),c=_?_[_DYN_IDENTIFIER]+"-"+_[STR_PRIORITY]+"-"+_chainId++:"Unknown-0-"+_chainId++,s={getPlugin:function(){return _},getNext:function(){return u},processTelemetry:function(n,e){var t;l(e=e||(t=(t=_&&isFunction(_[strGetTelCtx])?_[strGetTelCtx]():t)||createProcessTelemetryContext(s,r,o)),function(e){if(!_||!i)return!1;var t=_getPluginState(_);return!t[_DYN_TEARDOWN]&&!t[STR_DISABLED]&&(a&&_[_DYN_SET_NEXT_PLUGIN](u),_[STR_PROCESS_TELEMETRY](n,e),!0)},"processTelemetry",function(){return{item:n}},!n.sync)||e[_DYN_PROCESS_NEXT](n)},unload:function(r,o){l(r,function(){var e,t,n=!1;return _&&(e=_getPluginState(_),t=_[STR_CORE]||e[STR_CORE],!_||t&&t!==r.core()||e[_DYN_TEARDOWN]||(e[STR_CORE]=null,e[_DYN_TEARDOWN]=!0,e[_DYN_IS_INITIALIZED]=!1,_[_DYN_TEARDOWN]&&!0===_[_DYN_TEARDOWN](r,o)&&(n=!0))),n},"unload",function(){},o.isAsync)||r[_DYN_PROCESS_NEXT](o)},update:function(r,o){l(r,function(){var e,t,n=!1;return _&&(e=_getPluginState(_),t=_[STR_CORE]||e[STR_CORE],!_||t&&t!==r.core()||e[_DYN_TEARDOWN]||_[_DYN_UPDATE]&&!0===_[_DYN_UPDATE](r,o)&&(n=!0)),n},"update",function(){},!1)||r[_DYN_PROCESS_NEXT](o)},_id:c,_setNext:function(e){u=e}};function l(n,r,o,e,t){var i=!1,a=_?_[_DYN_IDENTIFIER]:strTelemetryPluginChain,s=(s=n[strHasRunFlags])||(n[strHasRunFlags]={});return n.setNext(u),_&&doPerf(n[STR_CORE](),function(){return a+":"+o},function(){s[c]=!0;try{var e=u?u._id:STR_EMPTY$1;e&&(s[e]=!1),i=r(n)}catch(t){e=!u||s[u._id];e&&(i=!0),u&&e||_throwInternal(n[_DYN_DIAG_LOG](),1,73,"Plugin ["+a+"] failed during "+o+" - "+dumpObj(t)+", run flags: "+dumpObj(s))}},e,t),i}return objFreeze(s)}var _maxHooks,_hookAddMonitor,_a$1,ProcessTelemetryContext=function(e,t,n,r){e=createProcessTelemetryContext(e,t,n,r);proxyFunctions(this,e,objKeys(e))};function createUnloadHandlerContainer(){var t=[];return{add:function(e){e&&t[_DYN_PUSH](e)},run:function(n,r){arrForEach(t,function(e){try{e(n,r)}catch(t){_throwInternal(n[_DYN_DIAG_LOG](),2,73,"Unexpected error calling unload handler - "+dumpObj(t))}}),t=[]}}}function _testHookMaxUnloadHooksCb(e,t){_maxHooks=e,_hookAddMonitor=t}function createUnloadHookContainer(){var t=[];return{run:function(n){var e=t;t=[],arrForEach(e,function(e){try{(e.rm||e.remove).call(e)}catch(t){_throwInternal(n,2,73,"Unloading:"+dumpObj(t))}}),_maxHooks&&e[_DYN_LENGTH]>_maxHooks&&(_hookAddMonitor?_hookAddMonitor("doUnload",e):_throwInternal(null,1,48,"Max unload hooks exceeded. An excessive number of unload hooks has been detected."))},add:function(e){e&&(arrAppend(t,e),_maxHooks&&t[_DYN_LENGTH]>_maxHooks&&(_hookAddMonitor?_hookAddMonitor("Add",t):_throwInternal(null,1,48,"Max unload hooks exceeded. An excessive number of unload hooks has been detected.")))}}}var strGetPlugin="getPlugin",defaultValues=((_a$1={})[STR_EXTENSION_CONFIG]={isVal:isNotNullOrUndefined,v:{}},_a$1),BaseTelemetryPlugin=function(){function e(){var o,i,u,c,l,a=this;function t(e){var t,e=e=void 0===e?null:e;return e||(t=i||createProcessTelemetryContext(null,{},a[STR_CORE]),e=u&&u[strGetPlugin]?t[_DYN_CREATE_NEW](null,u[strGetPlugin]):t[_DYN_CREATE_NEW](null,u)),e}function s(e,t,n){createDynamicConfig(e,defaultValues,safeGetLogger(t)),!n&&t&&(n=t[_DYN_GET_PROCESS_TEL_CONT2]()[_DYN_GET_NEXT]());var r=u;u&&u[strGetPlugin]&&(r=u[strGetPlugin]()),a[STR_CORE]=t,i=createProcessTelemetryContext(n,e,t,r)}function f(){o=!1,a[STR_CORE]=null,u=i=null,l=createUnloadHookContainer(),c=createUnloadHandlerContainer()}f(),dynamicProto(e,a,function(_){_[_DYN_INITIALIZE]=function(e,t,n,r){s(e,t,r),o=!0},_[_DYN_TEARDOWN]=function(e,t){var n,r,o,i,a=_[STR_CORE];if(a&&(!e||a===e[STR_CORE]()))return r=!1,o=e||createProcessTelemetryUnloadContext(null,a,u&&u[strGetPlugin]?u[strGetPlugin]():u),i=t||{reason:0,isAsync:!1},_[_DYN__DO_TEARDOWN]&&!0===_[_DYN__DO_TEARDOWN](o,i,s)?n=!0:s(),n;function s(){r||(r=!0,c.run(o,t),l.run(o[_DYN_DIAG_LOG]()),!0===n&&o[_DYN_PROCESS_NEXT](i),f())}},_[_DYN_UPDATE]=function(e,t){var n,r,o,i=_[STR_CORE];if(i&&(!e||i===e[STR_CORE]()))return r=!1,o=e||createProcessTelemetryUpdateContext(null,i,u&&u[strGetPlugin]?u[strGetPlugin]():u),_._doUpdate&&!0===_._doUpdate(o,t||{reason:0},a)?n=!0:a(),n;function a(){r||(r=!0,s(o.getCfg(),o.core(),o[_DYN_GET_NEXT]()))}},proxyFunctionAs(_,"_addUnloadCb",function(){return c},"add"),proxyFunctionAs(_,"_addHook",function(){return l},"add"),objDefine(_,"_unloadHooks",{g:function(){return l}})}),a[_DYN_DIAG_LOG]=function(e){return t(e)[_DYN_DIAG_LOG]()},a[_DYN_IS_INITIALIZED]=function(){return o},a.setInitialized=function(e){o=e},a[_DYN_SET_NEXT_PLUGIN]=function(e){u=e},a[_DYN_PROCESS_NEXT]=function(e,t){t?t[_DYN_PROCESS_NEXT](e):u&&isFunction(u[STR_PROCESS_TELEMETRY])&&u[STR_PROCESS_TELEMETRY](e,null)},a._getTelCtx=t}return e.__ieDyn=1,e}();function _addInitializer(n,e,t){var r={id:e,fn:t};return arrAppend(n,r),{remove:function(){arrForEach(n,function(e,t){if(e.id===r.id)return n[_DYN_SPLICE](t,1),-1})}}}function _runInitializers(e,t,n){for(var r=!1,o=e[_DYN_LENGTH],i=0;i<o;++i){var a=e[i];if(a)try{if(!1===a.fn[_DYN_APPLY](null,[t])){r=!0;break}}catch(s){_throwInternal(n,2,64,"Telemetry initializer failed: "+getExceptionName(s),{exception:dumpObj(s)},!0)}}return!r}var _a,TelemetryInitializerPlugin=function(n){function i(){var t,r,e=n.call(this)||this;function o(){t=0,r=[]}return e.identifier="TelemetryInitializerPlugin",e.priority=199,o(),dynamicProto(i,e,function(n,e){n.addTelemetryInitializer=function(e){return _addInitializer(r,t++,e)},n[STR_PROCESS_TELEMETRY]=function(e,t){_runInitializers(r,e,(t||n)[_DYN_DIAG_LOG]())&&n[_DYN_PROCESS_NEXT](e,t)},n[_DYN__DO_TEARDOWN]=function(){o()}}),e}return __extendsFn(i,n),i.__ieDyn=1,i}(BaseTelemetryPlugin),strValidationError="Plugins must provide initialize method",strNotificationManager="_notificationManager",strSdkUnloadingError="SDK is still unloading...",strSdkNotInitialized="SDK is not initialized",maxInitQueueSize=100,maxInitTimeout=5e4,defaultConfig=objDeepFreeze(((_a={cookieCfg:{}})[STR_EXTENSIONS]={rdOnly:!0,ref:!0,v:[]},_a[STR_CHANNELS]={rdOnly:!0,ref:!0,v:[]},_a[STR_EXTENSION_CONFIG]={ref:!0,v:{}},_a[STR_CREATE_PERF_MGR]=UNDEFINED_VALUE,_a.loggingLevelConsole=0,_a.diagnosticLogInterval=UNDEFINED_VALUE,_a));function _createPerfManager(e,t){return new PerfManager(t)}function _validateExtensions(r,o,e){var i=[],a=[],s={};return arrForEach(e,function(e){(isNullOrUndefined(e)||isNullOrUndefined(e[_DYN_INITIALIZE]))&&throwError(strValidationError);var t=e[STR_PRIORITY],n=e[_DYN_IDENTIFIER];e&&t&&(isNullOrUndefined(s[t])?s[t]=n:_warnToConsole(r,"Two extensions have same priority #"+t+" - "+s[t]+", "+n)),(!t||t<o?i:a)[_DYN_PUSH](e)}),{core:i,channels:a}}function _isPluginPresent(t,e){var n=!1;return arrForEach(e,function(e){if(e===t)return n=!0,-1}),n}function _deepMergeConfig(n,r,e,o){e&&objForEachKey(e,function(e,t){o&&isPlainObject(t)&&isPlainObject(r[e])&&_deepMergeConfig(n,r[e],t,o),o&&isPlainObject(t)&&isPlainObject(r[e])?_deepMergeConfig(n,r[e],t,o):n.set(r,e,t)})}function _findWatcher(e,n){var r=null,o=-1;return arrForEach(e,function(e,t){if(e.w===n)return r=e,o=t,-1}),{i:o,l:r}}function _addDelayedCfgListener(t,n){var e=_findWatcher(t,n).l;return e||t[_DYN_PUSH](e={w:n,rm:function(){var e=_findWatcher(t,n);-1!==e.i&&t[_DYN_SPLICE](e.i,1)}}),e}function _registerDelayedCfgListener(n,e,r){arrForEach(e,function(e){var t=onConfigChange(n,e.w,r);delete e.w,e.rm=function(){t.rm()}})}function _initDebugListener(e,t,n,r){return t.add(e[_DYN_WATCH](function(e){var t=e.cfg.disableDbgExt;!0===t&&r&&(n[_DYN_REMOVE_NOTIFICATION_0](r),r=null),n&&!r&&!0!==t&&(r=getDebugListener(e.cfg),n[_DYN_ADD_NOTIFICATION_LIS1](r))})),r}function _createUnloadHook(e){return objDefine({rm:function(){e.rm()}},"toJSON",{v:function(){return"aicore::onCfgChange<"+JSON.stringify(e)+">"}})}var AppInsightsCore=function(){function e(){var D,S,y,r,m,C,P,v,I,O,h,R,A,b,L,Y,x,U,F,M,w,G,H,j,V,k,W,X,K,$,z,B,q;dynamicProto(e,this,function(a){function s(){K=!0,isNullOrUndefined(w)?(k=ActiveStatus.INACTIVE,_throwInternal(y,1,112,"ikey can't be resolved from promises")):k=ActiveStatus.ACTIVE,_()}function _(){S&&(a.releaseQueue(),a.pollInternalLogs())}function u(e){return z&&z[_DYN_ENABLED]||q||(e||y&&0<y.queue[_DYN_LENGTH])&&(B||(B=!0,i(D[_DYN_WATCH](function(e){var e=e.cfg.diagnosticLogInterval,t=(e&&0<e||(e=1e4),!1);z&&(t=z[_DYN_ENABLED],z[_DYN_CANCEL]()),(z=createTimeout(g,e)).unref(),z[_DYN_ENABLED]=t}))),z[_DYN_ENABLED]=!0),z}function t(){var n={},t=(j=[],function(e){e&&arrForEach(e,function(e){var t;e[_DYN_IDENTIFIER]&&e[_DYN_VERSION]&&!n[e.identifier]&&(t=e[_DYN_IDENTIFIER]+"="+e[_DYN_VERSION],j[_DYN_PUSH](t),n[e.identifier]=e)})});t(R),h&&arrForEach(h,function(e){t(e)}),t(O)}function c(){S=!1,(D=createDynamicConfig({},defaultConfig,a[_DYN_LOGGER])).cfg[_DYN_LOGGING_LEVEL_CONSOL4]=1,objDefine(a,"config",{g:function(){return D.cfg},s:function(e){a.updateCfg(e,!1)}}),objDefine(a,"pluginVersionStringArr",{g:function(){return j||t(),j}}),objDefine(a,"pluginVersionString",{g:function(){return V||(j||t(),V=j.join(";")),V||STR_EMPTY$1}}),objDefine(a,"logger",{g:function(){return y||(y=new DiagnosticLogger(D.cfg),D[_DYN_LOGGER]=y),y},s:function(e){D[_DYN_LOGGER]=e,y!==e&&(runTargetUnload(y,!1),y=e)}}),a[_DYN_LOGGER]=new DiagnosticLogger(D.cfg),H=[];var e=a.config[STR_EXTENSIONS]||[];e.splice(0,e[_DYN_LENGTH]),arrAppend(e,H),b=new TelemetryInitializerPlugin,runTargetUnload(m,!(r=[])),P=C=m=null,runTargetUnload(v,!1),A=!(O=[]),Y=createUniqueNamespace("AIBaseCore",!(L=R=h=I=v=null)),x=createUnloadHandlerContainer(),w=M=null,U=createUnloadHookContainer(),k=0,K=B=q=!(G=[]),$=X=W=z=j=V=null}function l(){var e=createProcessTelemetryContext(d(),D.cfg,a);return e[_DYN_ON_COMPLETE](u),e}function f(e){var t=_validateExtensions(a[_DYN_LOGGER],ChannelControllerPriority,O),t=(j=V=I=null,R=sortPlugins(arrAppend(R=(h||[])[0]||[],t[STR_CHANNELS])),arrAppend(sortPlugins(t[STR_CORE]),R)),n=(H=objFreeze(t),a.config[STR_EXTENSIONS]||[]),n=(n.splice(0,n[_DYN_LENGTH]),arrAppend(n,H),l());R&&0<R[_DYN_LENGTH]&&initializePlugins(n[_DYN_CREATE_NEW](R),t),initializePlugins(n,t),e&&o(e)}function E(t){var r=null,n=[];return arrForEach(H,function(e){if(e[_DYN_IDENTIFIER]===t&&e!==b)return r=e,-1;e.getChannel&&n[_DYN_PUSH](e)}),!r&&0<n[_DYN_LENGTH]&&arrForEach(n,function(e){if(!(r=e.getChannel(t)))return-1}),r?{plugin:r,setEnabled:function(e){_getPluginState(r)[STR_DISABLED]=!e},isEnabled:function(){var e=_getPluginState(r);return!e[_DYN_TEARDOWN]&&!e[STR_DISABLED]},remove:function(e,t){var n=[r];N(n,{reason:1,isAsync:e=void 0===e||e},function(e){e&&f({reason:32,removed:n}),t&&t(e)})}}:null}function d(){var e;return I||(e=(H||[]).slice(),-1===arrIndexOf(e,b)&&e[_DYN_PUSH](b),I=createTelemetryProxyChain(sortPlugins(e),D.cfg,a)),I}function N(i,e,t){var n;i&&0<i[_DYN_LENGTH]?((n=createProcessTelemetryUnloadContext(createTelemetryProxyChain(i,D.cfg,a),a))[_DYN_ON_COMPLETE](function(){var r=!1,n=[],o=(arrForEach(O,function(e,t){_isPluginPresent(e,i)?r=!0:n[_DYN_PUSH](e)}),O=n,j=V=null,[]);h&&(arrForEach(h,function(e,t){var n=[];arrForEach(e,function(e){_isPluginPresent(e,i)?r=!0:n[_DYN_PUSH](e)}),o[_DYN_PUSH](n)}),h=o),t&&t(r),u()}),n[_DYN_PROCESS_NEXT](e)):t(!1)}function g(){var e;y&&y.queue&&(e=y.queue.slice(0),y.queue[_DYN_LENGTH]=0,arrForEach(e,function(e){e={name:L||"InternalMessageId: "+e[_DYN_MESSAGE_ID],iKey:w,time:toISOString(new Date),baseType:_InternalLogMessage.dataType,baseData:{message:e[_DYN_MESSAGE]}};a.track(e)}))}function T(n,e,r,o){var i=1,t=!1,a=null;function s(){i--,t&&0===i&&(a&&a[_DYN_CANCEL](),a=null,e&&e(t),e=null)}return o=o||5e3,R&&0<R[_DYN_LENGTH]&&l()[_DYN_CREATE_NEW](R).iterate(function(e){var t;e.flush&&(i++,t=!1,e.flush(n,function(){t=!0,s()},r)||t||(n&&null==a?a=scheduleTimeout(function(){a=null,s()},o):s()))}),t=!0,s(),!0}function o(e){var t=createProcessTelemetryUpdateContext(d(),a);t[_DYN_ON_COMPLETE](u),a._updateHook&&!0===a._updateHook(t,e)||t[_DYN_PROCESS_NEXT](e)}function p(e){var t=a[_DYN_LOGGER];t?(_throwInternal(t,2,73,e),u()):throwError(e)}function n(e){var t=a[_DYN_GET_NOTIFY_MGR]();t&&t[STR_EVENTS_DISCARDED]([e],2)}function i(e){U.add(e)}c(),a._getDbgPlgTargets=function(){return[H,r]},a[_DYN_IS_INITIALIZED]=function(){return S},a.activeStatus=function(){return k},a._setPendingStatus=function(){k=3},a[_DYN_INITIALIZE]=function(e,t,n,r){A&&throwError(strSdkUnloadingError),a[_DYN_IS_INITIALIZED]()&&throwError("Core cannot be initialized more than once"),e=(D=createDynamicConfig(e,defaultConfig,n||a[_DYN_LOGGER],!1)).cfg,i(D[_DYN_WATCH](function(t){var e=t.cfg,n=(X=e.initInMemoMaxSize||maxInitQueueSize,function(e){var i,t=e.instrumentationKey,n=e.endpointUrl;if(3!==k){if(isNullOrUndefined(t))return w=null,k=ActiveStatus.INACTIVE,r="Please provide instrumentation key",S?(_throwInternal(y,1,100,r),_()):throwError(r);var r=[];w=isPromiseLike(t)?(r[_DYN_PUSH](t),null):t,W=isPromiseLike(n)?(r[_DYN_PUSH](n),null):n,r[_DYN_LENGTH]?(t=r,K=!1,k=3,n=isNotNullOrUndefined((i=e).initTimeOut)?i.initTimeOut:maxInitTimeout,r=createSyncAllSettledPromise(t),$&&$[_DYN_CANCEL](),$=scheduleTimeout(function(){$=null,K||s()},n),doAwaitResponse(r,function(e){try{if(K)return;var t,n,r;e.rejected||((t=e[_DYN_VALUE])&&t[_DYN_LENGTH]&&(n=t[0],w=n&&n[_DYN_VALUE],1<t[_DYN_LENGTH]&&(r=t[1],W=r&&r[_DYN_VALUE])),w&&(i.instrumentationKey=w,i.endpointUrl=W)),s()}catch(o){K||s()}})):s()}}(e),t.ref(t.cfg,STR_EXTENSION_CONFIG));objForEachKey(n,function(e){t.ref(n,e)})})),F=_initDebugListener(D,U,(m=r)&&a[_DYN_GET_NOTIFY_MGR](),F),i(D[_DYN_WATCH](function(e){var t;e.cfg.enablePerfMgr?(t=e.cfg[STR_CREATE_PERF_MGR],o===t&&o||(getSetValue(e.cfg,STR_CREATE_PERF_MGR,t=t||_createPerfManager),o=t,P=null),C||P||!isFunction(t)||(P=t(a,a[_DYN_GET_NOTIFY_MGR]()))):o=P=null})),a[_DYN_LOGGER]=n;var o,r=e[STR_EXTENSIONS];(O=[])[_DYN_PUSH].apply(O,__spreadArrayFn(__spreadArrayFn([],t,!1),r)),h=e[STR_CHANNELS],f(null),R&&0!==R[_DYN_LENGTH]||throwError("No "+STR_CHANNELS+" available"),h&&1<h[_DYN_LENGTH]&&((n=a[_DYN_GET_PLUGIN]("TeeChannelController"))&&n.plugin||_throwInternal(y,1,28,"TeeChannel required")),_registerDelayedCfgListener(e,G,y),S=!(G=null),k===ActiveStatus.ACTIVE&&_()},a.getChannels=function(){var t=[];return R&&arrForEach(R,function(e){t[_DYN_PUSH](e)}),objFreeze(t)},a.track=function(e){doPerf(a[STR_GET_PERF_MGR](),function(){return"AppInsightsCore:track"},function(){null===e&&(n(e),throwError("Invalid telemetry item")),!e[_DYN_NAME]&&isNullOrUndefined(e[_DYN_NAME])&&(n(e),throwError("telemetry name required")),e.iKey=e.iKey||w,e.time=e.time||toISOString(new Date),e.ver=e.ver||"4.0",!A&&a[_DYN_IS_INITIALIZED]()&&k===ActiveStatus.ACTIVE?l()[_DYN_PROCESS_NEXT](e):k!==ActiveStatus.INACTIVE&&r[_DYN_LENGTH]<=X&&r[_DYN_PUSH](e)},function(){return{item:e}},!e.sync)},a[_DYN_GET_PROCESS_TEL_CONT2]=l,a[_DYN_GET_NOTIFY_MGR]=function(){return m||(m=new NotificationManager(D.cfg),a[strNotificationManager]=m),m},a[_DYN_ADD_NOTIFICATION_LIS1]=function(e){a.getNotifyMgr()[_DYN_ADD_NOTIFICATION_LIS1](e)},a[_DYN_REMOVE_NOTIFICATION_0]=function(e){m&&m[_DYN_REMOVE_NOTIFICATION_0](e)},a.getCookieMgr=function(){return v=v||createCookieMgr(D.cfg,a[_DYN_LOGGER])},a.setCookieMgr=function(e){v!==e&&(runTargetUnload(v,!1),v=e)},a[STR_GET_PERF_MGR]=function(){return C||P||getGblPerfMgr()},a.setPerfMgr=function(e){C=e},a.eventCnt=function(){return r[_DYN_LENGTH]},a.releaseQueue=function(){var e;S&&0<r[_DYN_LENGTH]&&(e=r,r=[],2===k?arrForEach(e,function(e){e.iKey=e.iKey||w,l()[_DYN_PROCESS_NEXT](e)}):_throwInternal(y,2,20,"core init status is not active"))},a.pollInternalLogs=function(e){return L=e||null,q=!1,z&&z[_DYN_CANCEL](),u(!0)},a[_DYN_STOP_POLLING_INTERNA3]=function(){q=!0,z&&z[_DYN_CANCEL](),g()},proxyFunctions(a,function(){return b},["addTelemetryInitializer"]),a[_DYN_UNLOAD]=function(e,t,n){void 0===e&&(e=!0),S||throwError(strSdkNotInitialized),A&&throwError(strSdkUnloadingError);var r,o={reason:50,isAsync:e,flushComplete:!1},i=(e&&!t&&(r=createPromise(function(e){t=e})),createProcessTelemetryUnloadContext(d(),a));return i[_DYN_ON_COMPLETE](function(){U.run(a[_DYN_LOGGER]),doUnloadAll([v,m,y],e,function(){c(),t&&t(o)})},a),g(),T(e,function(e){o.flushComplete=e,A=!0,x.run(i,o),a[_DYN_STOP_POLLING_INTERNA3](),i[_DYN_PROCESS_NEXT](o)},6,n),r},a[_DYN_GET_PLUGIN]=E,a.addPlugin=function(e,t,n,r){if(!e)return r&&r(!1),void p(strValidationError);var o=E(e[_DYN_IDENTIFIER]);if(o&&!t)return r&&r(!1),void p("Plugin ["+e[_DYN_IDENTIFIER]+"] is already loaded!");var i,a={reason:16};function s(){O[_DYN_PUSH](e),a.added=[e],f(a),r&&r(!0)}o?N(i=[o.plugin],{reason:2,isAsync:!!n},function(e){e?(a.removed=i,a.reason|=32,s()):r&&r(!1)}):s()},a.updateCfg=function(r,e){var t,n;void 0===e&&(e=!0),a[_DYN_IS_INITIALIZED]()&&(t={reason:1,cfg:D.cfg,oldCfg:deepExtend({},D.cfg),newConfig:deepExtend({},r),merge:e},r=t.newConfig,n=D.cfg,r[STR_EXTENSIONS]=n[STR_EXTENSIONS],r[STR_CHANNELS]=n[STR_CHANNELS]),D._block(function(t){var n=t.cfg;_deepMergeConfig(t,n,r,e),e||objForEachKey(n,function(e){objHasOwn(r,e)||t.set(n,e,UNDEFINED_VALUE)}),t.setDf(n,defaultConfig)},!0),D.notify(),t&&o(t)},a.evtNamespace=function(){return Y},a.flush=T,a.getTraceCtx=function(e){return M=M||createDistributedTraceContext()},a.setTraceCtx=function(e){M=e||null},a.addUnloadHook=i,proxyFunctionAs(a,"addUnloadCb",function(){return x},"add"),a.onCfgChange=function(e){return _createUnloadHook(S?onConfigChange(D.cfg,e,a[_DYN_LOGGER]):_addDelayedCfgListener(G,e))},a.getWParam=function(){return hasDocument()||D.cfg.enableWParam?0:-1}})}return e.__ieDyn=1,e}();function parseResponse(e,t){try{if(e&&""!==e){var n=getJSON().parse(e);if(n&&n[_DYN_ITEMS_RECEIVED]&&n[_DYN_ITEMS_RECEIVED]>=n.itemsAccepted&&n.itemsReceived-n.itemsAccepted===n.errors[_DYN_LENGTH])return n}}catch(r){_throwInternal(t,1,43,"Cannot parse the response. "+(r[_DYN_NAME]||dumpObj(r)),{response:e})}return null}var STR_EMPTY="",STR_NO_RESPONSE_BODY="NoResponseBody",_noResponseQs="&"+STR_NO_RESPONSE_BODY+"=true",STR_POST_METHOD="POST",SenderPostManager=function(){function e(){var S,o,f,y,m,i,C,E,d,N,g,P,v,I,O=0;dynamicProto(e,this,function(n,e){var T=!0;function s(e,t){_throwInternal(f,2,26,"Failed to send telemetry.",{message:e}),D(t,400,{})}function p(e){s("No endpoint url is provided for the batch",e)}function D(e,t,n,r){try{e&&e(t,n,r)}catch(o){}}function a(e,t){var n=getNavigator();if(!e[_DYN_URL_STRING])return p(t),!0;t=e[_DYN_URL_STRING]+(v?_noResponseQs:STR_EMPTY),e=e[_DYN_DATA],e=y?e:new Blob([e],{type:"text/plain;charset=UTF-8"});return n.sendBeacon(t,e)}function _(e,t,n){var r,o=e[_DYN_DATA];try{o&&(a(e,t)?D(t,200,{},STR_EMPTY):(r=m&&m.beaconOnRetry)&&isFunction(r)?r(e,t,a):(E&&E.sendPOST(e,t,!0),_throwInternal(f,2,40,". Failed to send telemetry with Beacon API, retried with normal sender.")))}catch(i){y&&_warnToConsole(f,"Failed to send telemetry using sendBeacon API. Ex:"+dumpObj(i)),D(t,y?0:400,{},STR_EMPTY)}}function u(n,r,e){var t,o,i,a=n[_DYN_HEADERS]||{},s=(!e&&S&&(t=createPromise(function(e,t){o=e,i=t})),y&&e&&n.disableXhrSync&&(e=!1),n[_DYN_URL_STRING]);if(!s)return p(r),void(o&&o(!1));var _=openXhr(STR_POST_METHOD,s,T,!0,e,n[_DYN_TIMEOUT]);function u(e){var t=m&&m.xhrOnComplete;t&&isFunction(t)?t(e,r,n):(t=getResponseText(e),D(r,e[_DYN_STATUS],_getAllResponseHeaders(e,y),t))}return y||_.setRequestHeader("Content-type","application/json"),arrForEach(objKeys(a),function(e){_.setRequestHeader(e,a[e])}),_.onreadystatechange=function(){y||(u(_),4===_.readyState&&o&&o(!0))},_.onload=function(){y&&u(_)},_.onerror=function(e){D(r,y?_[_DYN_STATUS]:400,_getAllResponseHeaders(_,y),y?STR_EMPTY:formatErrorMessageXhr(_)),i&&i(e)},_.ontimeout=function(){D(r,y?_[_DYN_STATUS]:500,_getAllResponseHeaders(_,y),y?STR_EMPTY:formatErrorMessageXhr(_)),o&&o(!1)},_.send(n[_DYN_DATA]),t}function c(n,i,r){var e,o,a,t=n[_DYN_URL_STRING],s=n[_DYN_DATA],_=y?s:new Blob([s],{type:"application/json"}),u=new Headers,c=s[_DYN_LENGTH],s=!1,l=!1,f=n[_DYN_HEADERS]||{},E=((_={method:STR_POST_METHOD,body:_})[DisabledPropertyName]=!0,n.headers&&0<objKeys(n.headers)[_DYN_LENGTH]&&(arrForEach(objKeys(f),function(e){u.append(e,f[e])}),_[_DYN_HEADERS]=u),C?_.credentials=C:T&&y&&(_.credentials="include"),r&&(_.keepalive=!0,O+=c,y?2===n._sendReason&&(s=!0,v&&(t+=_noResponseQs)):s=!0),new Request(t,_));try{E[DisabledPropertyName]=!0}catch(g){}if(!r&&S&&(e=createPromise(function(e,t){o=e,a=t})),!t)return p(i),void(o&&o(!1));function d(e,t){D(i,t?y?0:t:y?0:400,{},y?STR_EMPTY:e)}function N(e,t,n){var r=e[_DYN_STATUS],o=m.fetchOnComplete;o&&isFunction(o)?o(e,i,n||STR_EMPTY,t):D(i,r,{},n||STR_EMPTY)}try{doAwaitResponse(fetch(y?t:E,y?_:null),function(e){if(r&&(O-=c,c=0),!l)if(l=!0,e.rejected)d(e.reason&&e.reason[_DYN_MESSAGE],499),a&&a(e.reason);else{var t=e[_DYN_VALUE];try{y||t.ok?y&&!t.body?(N(t,null,STR_EMPTY),o&&o(!0)):doAwaitResponse(t.text(),function(e){N(t,n,e[_DYN_VALUE]),o&&o(!0)}):(t[_DYN_STATUS]?d(t.statusText,t[_DYN_STATUS]):d(t.statusText,499),o&&o(!1))}catch(g){t&&t[_DYN_STATUS]?d(dumpObj(g),t[_DYN_STATUS]):d(dumpObj(g),499),a&&a(g)}}})}catch(g){l||(d(dumpObj(g),499),a&&a(g))}return s&&!l&&(l=!0,D(i,200,{}),o&&o(!0)),y&&!l&&0<n[_DYN_TIMEOUT]&&I&&I.set(function(){l||(l=!0,D(i,500,{}),o&&o(!0))},n[_DYN_TIMEOUT]),e}function l(n,r,e){var t=getWindow(),o=new XDomainRequest,i=n[_DYN_DATA],t=(o.onload=function(){var e=getResponseText(o),t=m&&m.xdrOnComplete;t&&isFunction(t)?t(o,r,n):D(r,200,{},e)},o.onerror=function(){D(r,400,{},y?STR_EMPTY:formatErrorMessageXdr(o))},o.ontimeout=function(){D(r,500,{})},o.onprogress=function(){},t&&t.location&&t.location.protocol||""),a=n[_DYN_URL_STRING];if(a){if(!y&&a.lastIndexOf(t,0))return _throwInternal(f,2,40,". Cannot send XDomain request. The endpoint URL protocol doesn't match the hosting page protocol."),void s("Cannot send XDomain request. The endpoint URL protocol doesn't match the hosting page protocol.",r);t=y?a:a[_DYN_REPLACE](/^(https?:)/,"");o.open(STR_POST_METHOD,t),n[_DYN_TIMEOUT]&&(o[_DYN_TIMEOUT]=n[_DYN_TIMEOUT]),o.send(i),y&&e?I&&I.set(function(){o.send(i)},0):o.send(i)}else p(r)}function r(){O=0,v=P=g=N=d=S=o=!1,I=E=C=i=m=y=f=null}r(),n[_DYN_INITIALIZE]=function(e,t){f=t,o&&_throwInternal(f,1,28,"Sender is already initialized"),n.SetConfig(e),o=!0},n._getDbgPlgTargets=function(){return[o,y,i,S]},n.SetConfig=function(e){try{var t;return m=e.senderOnCompleteCallBack||{},i=!!e.disableCredentials,C=e.fetchCredentials,y=!!e.isOneDs,S=!!e.enableSendPromise,d=!!e.disableXhr,N=!!e.disableBeacon,g=!!e.disableBeaconSync,I=e.timeWrapper,v=!!e.addNoResponse,P=!!e.disableFetchKeepAlive,E={sendPOST:u},y||(T=!1),i&&(t=getLocation())&&t.protocol&&"file:"===t.protocol[_DYN_TO_LOWER_CASE]()&&(T=!1),!0}catch(n){}return!1},n.getSyncFetchPayload=function(){return O},n.getSenderInst=function(e,t){if(e&&e[_DYN_LENGTH]){for(var n=e,r=t,o=0,i=null,a=0;null==i&&a<n[_DYN_LENGTH];)o=n[a],d||1!==o?2!==o||!isFetchSupported(r)||r&&P?3!==o||!isBeaconsSupported()||(r?g:N)||(i=_):i=c:useXDomainRequest()?i=l:isXhrSupported()&&(i=u),a++;return i?{_transport:o,_isSync:r,sendPOST:i}:null}return null},n.getFallbackInst=function(){return E},n[_DYN__DO_TEARDOWN]=function(e,t){r()},n.preparePayload=function(a,e,s,t){if(e&&!t&&s[_DYN_DATA])try{var _,u,c,l,n=getInst("CompressionStream");if(isFunction(n))return _=new ReadableStream({start:function(e){e.enqueue(isString(s[_DYN_DATA])?(new TextEncoder).encode(s[_DYN_DATA]):s[_DYN_DATA]),e.close()}}).pipeThrough(new n("gzip")).getReader(),c=0,l=!(u=[]),doAwaitResponse(_.read(),function f(e){if(!l&&!e.rejected){e=e[_DYN_VALUE];if(!e.done)return u[_DYN_PUSH](e[_DYN_VALUE]),c+=e.value[_DYN_LENGTH],doAwaitResponse(_.read(),f);for(var t=new Uint8Array(c),n=0,r=0,o=u;r<o.length;r++){var i=o[r];t.set(i,n),n+=i[_DYN_LENGTH]}s[_DYN_DATA]=t,s[_DYN_HEADERS]["Content-Encoding"]="gzip",s._chunkCount=u[_DYN_LENGTH]}l||(l=!0,a(s))}),_;a(s)}catch(r){return void a(s)}else a(s)}})}return e.__ieDyn=1,e}(),strOnPrefix="on",strAttachEvent="attachEvent",strAddEventHelper="addEventListener",strDetachEvent="detachEvent",strRemoveEventListener="removeEventListener",strEvents="events",strVisibilityChangeEvt="visibilitychange",strPageHide="pagehide",strPageShow="pageshow",strUnload="unload",strBeforeUnload="beforeunload",strPageHideNamespace=createUniqueNamespace("aiEvtPageHide"),strPageShowNamespace=createUniqueNamespace("aiEvtPageShow"),rRemoveEmptyNs=/\.[\.]+/g,rRemoveTrailingEmptyNs=/[\.]+$/,_guid=1,elmNodeData=createElmNodeData("events"),eventNamespace=/^([^.]*)(?:\.(.+)|)/;function _normalizeNamespace(e){return e&&e[_DYN_REPLACE]?e[_DYN_REPLACE](/^[\s\.]+|(?=[\s\.])[\.\s]+$/g,STR_EMPTY$1):e}function _getEvtNamespace(e,t){t&&(n=STR_EMPTY$1,isArray(t)?(n=STR_EMPTY$1,arrForEach(t,function(e){(e=_normalizeNamespace(e))&&("."!==e[0]&&(e="."+e),n+=e)})):n=_normalizeNamespace(t),n&&("."!==n[0]&&(n="."+n),e=(e||STR_EMPTY$1)+n));var n,t=eventNamespace.exec(e||STR_EMPTY$1)||[];return{type:t[1],ns:(t[2]||STR_EMPTY$1).replace(rRemoveEmptyNs,".").replace(rRemoveTrailingEmptyNs,STR_EMPTY$1)[_DYN_SPLIT](".").sort().join(".")}}function __getRegisteredEvents(e,t,n){var r=[],e=elmNodeData.get(e,strEvents,{},!1),o=_getEvtNamespace(t,n);return objForEachKey(e,function(e,t){arrForEach(t,function(e){o[_DYN_TYPE]&&o[_DYN_TYPE]!==e[_DYN_EVT_NAME][_DYN_TYPE]||o.ns&&o.ns!=o.ns||r[_DYN_PUSH]({name:e.evtName[_DYN_TYPE]+(e[_DYN_EVT_NAME].ns?"."+e[_DYN_EVT_NAME].ns:STR_EMPTY$1),handler:e.handler})})}),r}function _getRegisteredEvents(e,t,n){e=elmNodeData.get(e,strEvents,{},n=void 0===n||n);return e[t]||(e[t]=[])}function _doDetach(e,t,n,r){e&&t&&t[_DYN_TYPE]&&(e[strRemoveEventListener]?e[strRemoveEventListener](t[_DYN_TYPE],n,r):e[strDetachEvent]&&e[strDetachEvent](strOnPrefix+t[_DYN_TYPE],n))}function _doAttach(e,t,n,r){var o=!1;return e&&t&&t[_DYN_TYPE]&&n&&(e[strAddEventHelper]?(e[strAddEventHelper](t[_DYN_TYPE],n,r),o=!0):e[strAttachEvent]&&(e[strAttachEvent](strOnPrefix+t[_DYN_TYPE],n),o=!0)),o}function _doUnregister(e,t,n,r){for(var o=t[_DYN_LENGTH];o--;){var i=t[o];!i||n.ns&&n.ns!==i[_DYN_EVT_NAME].ns||r&&!r(i)||(_doDetach(e,i[_DYN_EVT_NAME],i.handler,i.capture),t[_DYN_SPLICE](o,1))}}function _unregisterEvents(n,r,o){var e;r[_DYN_TYPE]?_doUnregister(n,_getRegisteredEvents(n,r[_DYN_TYPE]),r,o):(objForEachKey(e=elmNodeData.get(n,strEvents,{}),function(e,t){_doUnregister(n,t,r,o)}),0===objKeys(e)[_DYN_LENGTH]&&elmNodeData.kill(n,strEvents))}function mergeEvtNamespace(e,t){return t?_getEvtNamespace("xx",isArray(t)?[e].concat(t):[e,t]).ns[_DYN_SPLIT]("."):e}function eventOn(e,t,n,r,o){void 0===o&&(o=!1);var i=!1;if(e)try{var a,s=_getEvtNamespace(t,r);(i=_doAttach(e,s,n,o))&&elmNodeData.accept(e)&&(a={guid:_guid++,evtName:s,handler:n,capture:o},_getRegisteredEvents(e,s.type)[_DYN_PUSH](a))}catch(_){}return i}function eventOff(e,t,n,r,o){if(void 0===o&&(o=!1),e)try{var i=_getEvtNamespace(t,r),a=!1;_unregisterEvents(e,i,function(e){return!((!i.ns||n)&&e.handler!==n)&&(a=!0)}),a||_doDetach(e,i,n,o)}catch(s){}}function attachEvent(e,t,n,r){return eventOn(e,t,n,null,r=void 0!==r&&r)}function detachEvent(e,t,n,r){eventOff(e,t,n,null,r=void 0!==r&&r)}function addEventHandler(e,t,n){var r=!1,o=getWindow(),o=(o&&(r=eventOn(o,e,t,n),r=eventOn(o.body,e,t,n)||r),getDocument());return o&&eventOn(o,e,t,n)||r}function removeEventHandler(e,t,n){var r=getWindow(),r=(r&&(eventOff(r,e,t,n),eventOff(r.body,e,t,n)),getDocument());r&&eventOff(r,e,t,n)}function _addEventListeners(e,t,n,r){var o=!1;return t&&e&&0<e[_DYN_LENGTH]&&arrForEach(e,function(e){!e||n&&-1!==arrIndexOf(n,e)||(o=addEventHandler(e,t,r)||o)}),o}function addEventListeners(e,t,n,r){var o=!1;return t&&e&&isArray(e)&&!(o=_addEventListeners(e,t,n,r))&&n&&0<n[_DYN_LENGTH]?_addEventListeners(e,t,null,r):o}function removeEventListeners(e,t,n){e&&isArray(e)&&arrForEach(e,function(e){e&&removeEventHandler(e,t,n)})}function addPageUnloadEventListener(e,t,n){return addEventListeners([strBeforeUnload,strUnload,strPageHide],e,t,n)}function removePageUnloadEventListener(e,t){removeEventListeners([strBeforeUnload,strUnload,strPageHide],e,t)}function addPageHideEventListener(n,e,t){var r=mergeEvtNamespace(strPageHideNamespace,t),o=_addEventListeners([strPageHide],n,e,r);return!(o=(!e||-1===arrIndexOf(e,strVisibilityChangeEvt))&&_addEventListeners([strVisibilityChangeEvt],function(e){var t=getDocument();n&&t&&"hidden"===t.visibilityState&&n(e)},e,r)||o)&&e?addPageHideEventListener(n,null,t):o}function removePageHideEventListener(e,t){t=mergeEvtNamespace(strPageHideNamespace,t);removeEventListeners([strPageHide],e,t),removeEventListeners([strVisibilityChangeEvt],null,t)}function addPageShowEventListener(n,e,t){var r=mergeEvtNamespace(strPageShowNamespace,t),o=_addEventListeners([strPageShow],n,e,r);return!(o=_addEventListeners([strVisibilityChangeEvt],function(e){var t=getDocument();n&&t&&"visible"===t.visibilityState&&n(e)},e,r)||o)&&e?addPageShowEventListener(n,null,t):o}function removePageShowEventListener(e,t){t=mergeEvtNamespace(strPageShowNamespace,t);removeEventListeners([strPageShow],e,t),removeEventListeners([strVisibilityChangeEvt],null,t)}var LoggingSeverity=createEnumStyle({DISABLED:0,CRITICAL:1,WARNING:2,DEBUG:3}),aiInstrumentHooks="_aiHooks",cbNames=["req","rsp","hkErr","fnErr"];function _arrLoop(e,t){if(e)for(var n=0;n<e[_DYN_LENGTH]&&!t(e[n],n);n++);}function _doCallbacks(e,a,s,_,u){0<=u&&u<=2&&_arrLoop(e,function(e,t){var e=e.cbks,n=e[cbNames[u]];if(n){a.ctx=function(){return _[t]=_[t]||{}};try{n[_DYN_APPLY](a.inst,s)}catch(o){n=a.err;try{var r=e[cbNames[2]];r&&(a.err=o,r[_DYN_APPLY](a.inst,s))}catch(i){}finally{a.err=n}}}})}function _createFunctionHook(_){return function(){var n=arguments,e=_.h,r={name:_.n,inst:this,ctx:null,set:function(e,t){(n=i([],n))[e]=t,o=i([r],n)}},t=[],o=i([r],n);function i(t,e){return _arrLoop(e,function(e){t[_DYN_PUSH](e)}),t}r.evt=getInst("event"),_doCallbacks(e,r,o,t,0);var a=_.f;if(a)try{r.rslt=a[_DYN_APPLY](this,n)}catch(s){throw r.err=s,_doCallbacks(e,r,o,t,3),s}return _doCallbacks(e,r,o,t,1),r.rslt}}function _getOwner(e,t,n,r){var o=null;return e&&(objHasOwnProperty(e,t)?o=e:n&&(o=_getOwner(_getObjProto(e),t,r,!1))),o}function InstrumentProto(e,t,n){return e?InstrumentFunc(e[strShimPrototype],t,n,!1):null}function InstrumentProtos(e,t,n){return e?InstrumentFuncs(e[strShimPrototype],t,n,!1):null}function _createInstrumentHook(e,t,n,r){var o=n&&n[aiInstrumentHooks],t=(o||((n=_createFunctionHook(o={i:0,n:t,f:n,h:[]}))[aiInstrumentHooks]=o,e[t]=n),{id:o.i,cbks:r,rm:function(){var n=this.id;_arrLoop(o.h,function(e,t){if(e.id===n)return o.h[_DYN_SPLICE](t,1),1})}});return o.i++,o.h[_DYN_PUSH](t),t}function InstrumentFunc(e,t,n,r,o){if(void 0===r&&(r=!0),e&&t&&n){e=_getOwner(e,t,r,o);if(e){r=e[t];if(typeof r===strShimFunction)return _createInstrumentHook(e,t,r,n)}}return null}function InstrumentFuncs(t,e,n,r,o){void 0===r&&(r=!0);var i=null;return _arrLoop(e,function(e){e=InstrumentFunc(t,e,n,r,o);e&&(i=i||[])[_DYN_PUSH](e)}),i}function InstrumentEvent(e,t,n,r,o){if(e&&t&&n){r=_getOwner(e,t,r,o)||e;if(r)return _createInstrumentHook(r,t,r[t],n)}return null}exports.ActiveStatus=ActiveStatus,exports.AppInsightsCore=AppInsightsCore,exports.BaseTelemetryPlugin=BaseTelemetryPlugin,exports.BatchDiscardedReason=BatchDiscardedReason,exports.DiagnosticLogger=DiagnosticLogger,exports.EventsDiscardedReason=EventsDiscardedReason,exports.InstrumentEvent=InstrumentEvent,exports.InstrumentFunc=InstrumentFunc,exports.InstrumentFuncs=InstrumentFuncs,exports.InstrumentProto=InstrumentProto,exports.InstrumentProtos=InstrumentProtos,exports.LoggingSeverity=LoggingSeverity,exports.MinChannelPriorty=MinChannelPriorty,exports.NotificationManager=NotificationManager,exports.PerfEvent=PerfEvent,exports.PerfManager=PerfManager,exports.ProcessTelemetryContext=ProcessTelemetryContext,exports.SenderPostManager=SenderPostManager,exports.Undefined=Undefined,exports._InternalLogMessage=_InternalLogMessage,exports.__getRegisteredEvents=__getRegisteredEvents,exports._appendHeader=_appendHeader,exports._getAllResponseHeaders=_getAllResponseHeaders,exports._logInternalMessage=_logInternalMessage,exports._testHookMaxUnloadHooksCb=_testHookMaxUnloadHooksCb,exports._throwInternal=_throwInternal,exports._warnToConsole=_warnToConsole,exports.addEventHandler=addEventHandler,exports.addEventListeners=addEventListeners,exports.addPageHideEventListener=addPageHideEventListener,exports.addPageShowEventListener=addPageShowEventListener,exports.addPageUnloadEventListener=addPageUnloadEventListener,exports.areCookiesSupported=areCookiesSupported,exports.arrForEach=arrForEach,exports.arrIndexOf=arrIndexOf,exports.arrMap=arrMap,exports.arrReduce=arrReduce,exports.asString=asString,exports.attachEvent=attachEvent,exports.blockDynamicConversion=blockDynamicConversion,exports.cfgDfBlockPropValue=cfgDfBlockPropValue,exports.cfgDfBoolean=cfgDfBoolean,exports.cfgDfFunc=cfgDfFunc,exports.cfgDfMerge=cfgDfMerge,exports.cfgDfSet=cfgDfSet,exports.cfgDfString=cfgDfString,exports.cfgDfValidate=cfgDfValidate,exports.convertAllHeadersToMap=convertAllHeadersToMap,exports.createClassFromInterface=createClassFromInterface,exports.createCookieMgr=createCookieMgr,exports.createCustomDomEvent=createCustomDomEvent,exports.createDynamicConfig=createDynamicConfig,exports.createEnumStyle=createEnumStyle,exports.createProcessTelemetryContext=createProcessTelemetryContext,exports.createTraceParent=createTraceParent,exports.createUniqueNamespace=createUniqueNamespace,exports.createUnloadHandlerContainer=createUnloadHandlerContainer,exports.createUnloadHookContainer=createUnloadHookContainer,exports.createValueMap=createValueMap,exports.dateNow=utcNow,exports.deepFreeze=objDeepFreeze,exports.detachEvent=detachEvent,exports.dispatchEvent=dispatchEvent,exports.doPerf=doPerf,exports.doUnloadAll=doUnloadAll,exports.dumpObj=dumpObj,exports.eventOff=eventOff,exports.eventOn=eventOn,exports.findAllScripts=findAllScripts,exports.findMetaTag=findMetaTag,exports.findNamedServerTiming=findNamedServerTiming,exports.findW3cTraceParent=findW3cTraceParent,exports.forceDynamicConversion=forceDynamicConversion,exports.formatErrorMessageXdr=formatErrorMessageXdr,exports.formatErrorMessageXhr=formatErrorMessageXhr,exports.formatTraceParent=formatTraceParent,exports.generateW3CId=generateW3CId,exports.getConsole=getConsole,exports.getCrypto=getCrypto,exports.getDebugExt=getDebugExt,exports.getDebugListener=getDebugListener,exports.getDocument=getDocument,exports.getDynamicConfigHandler=getDynamicConfigHandler,exports.getExceptionName=getExceptionName,exports.getGblPerfMgr=getGblPerfMgr,exports.getGlobal=getGlobal,exports.getGlobalInst=getInst,exports.getHistory=getHistory,exports.getIEVersion=getIEVersion,exports.getJSON=getJSON,exports.getLocation=getLocation,exports.getMsCrypto=getMsCrypto,exports.getNavigator=getNavigator,exports.getPerformance=getPerformance,exports.getResponseText=getResponseText,exports.getSetValue=getSetValue,exports.getWindow=getWindow,exports.hasDocument=hasDocument,exports.hasHistory=hasHistory,exports.hasJSON=hasJSON,exports.hasNavigator=hasNavigator,exports.hasOwnProperty=objHasOwnProperty,exports.hasWindow=hasWindow,exports.initializePlugins=initializePlugins,exports.isArray=isArray,exports.isBeaconsSupported=isBeaconsSupported,exports.isBoolean=isBoolean,exports.isDate=isDate,exports.isError=isError,exports.isFeatureEnabled=isFeatureEnabled,exports.isFetchSupported=isFetchSupported,exports.isFunction=isFunction,exports.isIE=isIE,exports.isNotNullOrUndefined=isNotNullOrUndefined,exports.isNotTruthy=isNotTruthy,exports.isNotUndefined=isNotUndefined,exports.isNullOrUndefined=isNullOrUndefined,exports.isNumber=isNumber,exports.isObject=isObject,exports.isReactNative=isReactNative,exports.isSafari=isSafari,exports.isSampledFlag=isSampledFlag,exports.isString=isString,exports.isSymbol=isSymbol,exports.isTruthy=isTruthy,exports.isTypeof=isTypeof,exports.isUndefined=isUndefined,exports.isValidSpanId=isValidSpanId,exports.isValidTraceId=isValidTraceId,exports.isValidTraceParent=isValidTraceParent,exports.isXhrSupported=isXhrSupported,exports.mergeEvtNamespace=mergeEvtNamespace,exports.mwcRandom32=mwcRandom32,exports.mwcRandomSeed=mwcRandomSeed,exports.newGuid=newGuid,exports.newId=newId,exports.normalizeJsName=normalizeJsName,exports.objDefineAccessors=objDefineAccessors,exports.objExtend=objExtend,exports.objForEachKey=objForEachKey,exports.objFreeze=objFreeze,exports.objKeys=objKeys,exports.objSeal=objSeal,exports.objToString=objToString,exports.onConfigChange=onConfigChange,exports.openXhr=openXhr,exports.optimizeObject=optimizeObject,exports.parseResponse=parseResponse,exports.parseTraceParent=parseTraceParent,exports.perfNow=perfNow,exports.prependTransports=prependTransports,exports.proxyAssign=proxyAssign,exports.proxyFunctionAs=proxyFunctionAs,exports.proxyFunctions=proxyFunctions,exports.random32=random32,exports.randomValue=randomValue,exports.removeEventHandler=removeEventHandler,exports.removeEventListeners=removeEventListeners,exports.removePageHideEventListener=removePageHideEventListener,exports.removePageShowEventListener=removePageShowEventListener,exports.removePageUnloadEventListener=removePageUnloadEventListener,exports.runTargetUnload=runTargetUnload,exports.safeGetCookieMgr=safeGetCookieMgr,exports.safeGetLogger=safeGetLogger,exports.sendCustomEvent=sendCustomEvent,exports.setEnableEnvMocks=setEnableEnvMocks,exports.setGblPerfMgr=setGblPerfMgr,exports.setValue=setValue,exports.sortPlugins=sortPlugins,exports.strContains=strContains,exports.strEndsWith=strEndsWith,exports.strFunction=strShimFunction,exports.strObject=strShimObject,exports.strPrototype=strShimPrototype,exports.strStartsWith=strStartsWith,exports.strTrim=strTrim,exports.strUndefined=strShimUndefined,exports.throwAggregationError=throwAggregationError,exports.throwError=throwError,exports.toISOString=toISOString,exports.uaDisallowsSameSiteNone=uaDisallowsSameSiteNone,exports.unloadComponents=unloadComponents,exports.useXDomainRequest=useXDomainRequest;
//# sourceMappingURL=applicationinsights-core-js.cjs.min.js.map
